#!/bin/bash

project_dir=/home/user1/workspaces/jenkins_mount/workspace/android-videody/
nginx_apk_dir="/home/user1/workspaces/nginx/www/android_apk"
echo -e "\n 进入项目目录$project_dir\n"
cd "${project_dir}"
echo -e "\n 刷新 .bashrc \n"
source ~/.bashrc

time_now=`date "+%Y%m%d%H%M%S"`

# 构建apk
echo -e "\n 开始构建apk\n"
./gradlew clean assembleRelease
echo -e "\n apk构建完成 \n"
echo -e "\n 复制apk到nginx目录 \n"
cp ./app/build/outputs/apk/release/DDPlayer.apk /home/user1/workspaces/nginx/www/android_apk/

echo -e "\n 进入Nginx apk目录: ${nginx_apk_dir} \n"
cd /home/user1/workspaces/nginx/www/android_apk

nginx_apk_files="files.txt"

# 清空OutputFile 
: > $nginx_apk_dir/$nginx_apk_files


