package com.at.video.atlas.entity

import com.squareup.moshi.JsonClass

@JsonClass(generateAdapter = true)
data class Category(
    val cover: String?,
    val id: String?,
    val name: String?,
    val order: String?,
    val status: Int?,
    val module: Int = 0,
    val parent_id:String?,
    val site_id:String?,
    val position:Int = 0,
    val created_at:String?,
    val updated_at:String?
)

@JsonClass(generateAdapter = true)
data class CategoryList(
    val list:List<Category>,
    val total:String?,
)