package com.at.video.atlas.entity

import com.squareup.moshi.JsonClass

@JsonClass(generateAdapter = true)
data class ConditionBean(
    val category_list:CategoryList?,
    val sub_category_list:SubCategoryList?,
    val types_list:TypeList?,
    val code:Int = 200,
    val reason:String?,
    val message:String?,
){
    fun msg():String = when(code){
        401->"未登录"
        else -> "成功"
    }

    fun success():Boolean = code ==200
}
