package com.at.video.atlas.entity

import com.squareup.moshi.JsonClass

@JsonClass(generateAdapter = true)
data class RecommendBean(
    val free_list:PictureList?,
    val hot_list:PictureList?,
    val category_list:CategoryList?,
    val code:Int = 200,
    val reason:String?,
    val message:String?,
){
    fun msg():String = when(code){
        401->"未登录"
        else -> "成功"
    }

    fun success():Boolean = code ==200
}

