package com.at.video.atlas.entity

import com.chad.library.adapter.base.entity.MultiItemEntity
import com.squareup.moshi.JsonClass

/**
 * @Create_time: 2022/5/28 09:32
 * @Description:
 */

@JsonClass(generateAdapter = true)
data class SearchInfo (
    val id: Int,
    val title:String?,
    val verticalCover:String?,
    val author:String?,
    val chargingCoin:Int,
    val category:String?,
    val subCategory:String?,
    val label:String?,
    val intro:String?,
    override val itemType: Int = if(chargingCoin == 0) 0 else 1
): MultiItemEntity