package com.at.video.atlas.ui.atlas.binder

import android.view.LayoutInflater
import android.view.ViewGroup
import com.at.common.utils.ToastUtils
import com.at.video.atlas.R
import com.chad.library.adapter.base.binder.BaseItemBinder
import com.chad.library.adapter.base.viewholder.BaseViewHolder

/**
 * @Create_time: 2022/5/28 10:24
 * @Description: 标题
 */

class AtlasTitleBinder: BaseItemBinder<String, BaseViewHolder>() {

    override fun onCreateViewHolder(parent: ViewGroup, viewType: Int): BaseViewHolder {
        return BaseViewHolder(
            LayoutInflater.from(parent.context)
                .inflate(R.layout.atlas_title_view, parent, false)
        )
    }

    override fun convert(holder: BaseViewHolder, data: String) {
        holder.setText(R.id.tv_label,data)
    }
}