package com.at.video.game.ui.http

import com.at.common.network.BaseBean
import com.at.common.network.PageBean
import com.at.video.game.ui.entity.AdvertisingInfo
import retrofit2.http.GET
import retrofit2.http.QueryMap

/**
 * @Create_time: 2022/5/23 19:58
 * @Description:
 */

interface ApiService {

    //广告列表
    @GET("advertisements")
    suspend fun getAdvertisingList(@QueryMap map: @JvmSuppressWildcards Map<String, Any>): BaseBean<PageBean<AdvertisingInfo>>
}