package com.at.video.home.entity

import com.chad.library.adapter.base.entity.MultiItemEntity
import com.squareup.moshi.JsonClass

/**
 * 视频查询实体类
 */
@JsonClass(generateAdapter = true)
data class SearchInfo(
    val id: Int,
    val name: String?,
    val categoryName: String?,
    val subCategoryName:String?,
    val language:String?,
    val filmTheme: String?,
    val area: String?,
    val score: String?,
    val heat: Int?,
    val praise: Int?,
    val isPraise: Boolean = false,
    val collection: Int?,
    val isCollection: Boolean = false,
    val state: Int?,
    val label: String?,
    val chargingCoin: Int?,
    val verticalCover: String?,
    val updateDate: String?,
    val showDate: String?,
    val intro: String?,
    val numEpisodes: Int = 0,
    val url:String?,
    val watchHistory:String?,
    val lines: String?,
    val actors:String?,
    override val itemType: Int = if(chargingCoin == 0) {if(numEpisodes > 0) 2 else 0 } else { if(numEpisodes > 0) 3 else 1 }
): MultiItemEntity