package com.at.video.home.ui

import android.annotation.SuppressLint
import java.text.SimpleDateFormat
import java.util.*

/**
 * @description:
 * @author:  stone
 * @email:
 * @date :   2022/6/30 下午8:28
 */
fun String.parseServerTime(format: String?=null): Date? {
    val serverTime: String =this
    var format = format
    if (format == null || format.isEmpty()) {
        format = "yyyy-MM-dd"
    }
    val sdf = SimpleDateFormat(format, Locale.CHINESE)
    sdf.timeZone = TimeZone.getTimeZone("GMT+8:00")
    var date: Date? = null
    try {
        date = sdf.parse(serverTime)
    } catch (e: Exception) {
        // Timber.e(e, "")
    }
    return date
}

fun String.formatTimeMills(format:String? = null): Date?{
    val serverTime: String =this
    var format = format
    if (format == null || format.isEmpty()) {
        format = "yyyy-MM-dd"
    }
    val sdf = SimpleDateFormat(format, Locale.CHINESE)
    var date: Date? = Date(serverTime.toLong())
    try {
        date = sdf.parse(sdf.format(date))
    } catch (e: Exception) {
        // Timber.e(e, "")
    }
    return date
}

@SuppressLint("SimpleDateFormat")
fun Date.parseString(format: String?=null):String{
    var format = format
    if (format == null || format.isEmpty()) {
        format = "MM/dd"
    }
    val formatter = SimpleDateFormat(format)
    return formatter.format(this)+"/发布"
}

