package com.at.module_export_main

import com.melancholy.router.api.facade.template.IProvider
import com.melancholy.router.api.launcher.Router

/**
 * @description:
 * @author:  stone
 * @email:
 * @date :   2022/6/6 下午4:39
 */
interface IMainService : IProvider {
    companion object {
        @JvmStatic
        fun getMainService(): IMainService {
            return Router.getInstance().build("/main/MainService").navigation() as IMainService
        }
    }

    fun getSysConfig(): IConfig
}
