package com.at.video.main

import android.app.Application
import com.melancholy.application.lifecycle.IApplicationLifecycle
import com.melancholy.register.annotation.RegisterService
import com.video.module_widget.exception.ExceptionHandler

/**
 * @Create_time: 2022/5/20 17:04
 * @Description:
 */

@RegisterService(serviceClass = IApplicationLifecycle::class)
class MainApplication : IApplicationLifecycle {

    override fun priority(): Int = 2

    override fun onCreate(application: Application) {
        ConfigManager.instance.loadConfig()
        ExceptionHandler.hookException(application.applicationContext)
    }

}