package com.at.video.main.entity

import com.at.module_export_main.IConfig
import com.squareup.moshi.JsonClass

/**
 * @Create_time: 2022/6/18 13:33
 * @Description: 配置信息
 */

@JsonClass(generateAdapter = true)
data class ConfigInfo(
//    //广告滚动时间
//    val adRollingTime: Int,
//    //公告轮播时长
//    val announcementHoldTime: Int,
//    //图片大小
//    val pictureSize: Int,
//    //支持png（1：是，2：否）
//    val supportPng: Int,
//    //支持jpeg/jpg（1：是，2：否）
//    val supportJpeg: Int,
//    //支持bmp（1：是，2：否）
//    val supportBmp: Int,
//    //支持webp（1：是，2：否）
//    val supportWebp: Int,
//    //支持gif（1：是，2：否）
//    val supportGif: Int,
//    //分享地址
//    val shareAddr: String,
//    //客服地址
//    val customerServiceAddr: String,
    //用户协议
    val userAgreement: String,
    //隐私政策
    val privacyPolicy: String,
    //服务器版本号
    val applicationCode:Int = 0,
    val appUpdateContent:String = "",
    val appDownloadUrl:String = "",
    val advLibId:String = "",
    val videoLibId:String = "",
    val imageLibId:String = "",
    val articleLibId:String = "",
    val isConfigEmail:Boolean = false,
    val minoAddress:String = "",
    val appNames:String = "",
    val upgrade:Int = 3,
    val versionNames:String = ""
): IConfig {
//
//    override fun getConfigAdRollingTime(): Int = adRollingTime
//
//    override fun getConfigAnnouncementHoldTime(): Int = announcementHoldTime
//
//    override fun getConfigPictureSize(): Int = pictureSize
//
//    override fun getConfigSupportPng(): Boolean = supportPng == 1
//
//    override fun getConfigSupportJpeg(): Boolean = supportJpeg == 1
//
//    override fun getConfigSupportBmp(): Boolean = supportBmp == 1
//
//    override fun getConfigSupportWebp(): Boolean = supportWebp == 1
//
//    override fun getConfigSupportGif(): Boolean = supportGif == 1
//
//    override fun getConfigShareAddr(): String = shareAddr
//
//    override fun getConfigCustomerServiceAddr(): String = customerServiceAddr

    override fun getConfigUserAgreement(): String = userAgreement

    override fun getConfigPrivacyPolicy(): String = privacyPolicy

    override fun getAppCode(): Int = applicationCode
    override fun getAppContent(): String = appUpdateContent
    override fun getAppAddress(): String = appDownloadUrl
    override fun getAppMinoAddress(): String  = minoAddress

    override fun getAdvLibraryId(): String = advLibId

    override fun getVideoLibraryId(): String = videoLibId

    override fun getImageLibraryId(): String = imageLibId

    override fun getArticleLibraryId(): String = articleLibId
    override fun getIsConfigEmail(): Boolean = isConfigEmail
    override fun getAppName(): String = appNames
    override fun isForceUpgrade(): Boolean = upgrade == 1
    override fun getVersionName(): String = versionNames


}