package com.at.video.main.entity

import com.squareup.moshi.JsonClass

@JsonClass(generateAdapter = true)
data class Domains(
    val domain: Domain?,
    val code:Int = 200,
    val reason:String?,
    val message:String?
){
    fun msg():String = when(code){
        401->"未登录"
        else -> message?:""
    }

    fun success():Boolean = code ==200
}

@JsonClass(generateAdapter = true)
data class Domain(
    val cms_proxy: DomainConfig?,
    val config_distribute: DomainConfig?,
    val data_report: DomainConfig?
)

@JsonClass(generateAdapter = true)
data class DomainConfig(
    val alternate_domains: List<String?>?,
    val main_domain: String?
)
