package com.at.video.main.http.interceptor

import com.melancholy.network.INetworkInterceptor
import com.melancholy.register.annotation.RegisterService
import okhttp3.Interceptor
import okhttp3.Response

/**
 *
 * @Description: java类作用描述
 * @CreateDate: 2022/9/23 上午9:56
 * @UpdateUser: 更新者
 * @UpdateDate: 2022/9/23 上午9:56
 * @UpdateRemark: 更新说明
 * @Version: 1.0
 */
@RegisterService(serviceClass = INetworkInterceptor::class)
class ResponseFailInterceptor: INetworkInterceptor {

    override fun intercept(chain: Interceptor.Chain): Response {
        val request = chain.request()
        val response = chain.proceed(request)
        return response.newBuilder().code(200).build()
    }
    override fun priority(): Int = 4
}