package com.at.video.member.ui.detail

import android.view.LayoutInflater
import android.view.ViewGroup
import com.at.video.member.R
import com.at.video.member.databinding.MemberDetailHeaderViewBinding
import com.chad.library.adapter.base.binder.QuickViewBindingItemBinder

/**
 * @Create_time: 2022/5/5 17:43
 * @Description:
 */

class DetailHeaderBinder : QuickViewBindingItemBinder<Int, MemberDetailHeaderViewBinding>() {

    override fun onCreateViewBinding(
        layoutInflater: LayoutInflater,
        parent: ViewGroup,
        viewType: Int
    ): MemberDetailHeaderViewBinding {
        return MemberDetailHeaderViewBinding.inflate(layoutInflater, parent, false)
    }

    override fun convert(holder: BinderVBHolder<MemberDetailHeaderViewBinding>, data: Int) {
        holder.setText(R.id.stv_purchase_total, data.toString())
    }
}
