package com.at.video.member.ui.detail

import android.view.LayoutInflater
import android.view.ViewGroup
import com.at.video.member.R
import com.at.video.member.databinding.MemberDetailItemViewBinding
import com.at.video.member.entity.PurchasesItem
import com.at.video.member.stampToData
import com.chad.library.adapter.base.binder.QuickViewBindingItemBinder

/**
 * @Create_time: 2022/5/5 19:05
 * @Description:
 */

class DetailItemBinder: QuickViewBindingItemBinder<PurchasesItem, MemberDetailItemViewBinding>() {
    override fun onCreateViewBinding(layoutInflater: LayoutInflater, parent: ViewGroup,
                                     viewType: Int): MemberDetailItemViewBinding {
        return MemberDetailItemViewBinding.inflate(layoutInflater, parent, false)
    }

    override fun convert(holder: BinderVBHolder<MemberDetailItemViewBinding>, data: PurchasesItem) {
        holder.setText(R.id.stv_tag, if (data.type==1) { "VIP会员"} else "金币充值")
        holder.setImageResource(R.id.div_icon,if (data.type==1)R.drawable.member_ic_vip_purchase else R.drawable.member_ic_coin)
        holder.setText(R.id.tv_time,data.create.stampToData())
        holder.setText(R.id.tv_money,(data.price/100f).toString())
    }
}