package com.at.video.member.ui.gold

import android.graphics.Paint
import android.view.View
import android.widget.TextView
import com.at.video.member.R
import com.at.video.member.entity.ComboInfo
import com.at.video.member.ui.savaTwoDigits
import com.chad.library.adapter.base.BaseQuickAdapter
import com.chad.library.adapter.base.viewholder.BaseViewHolder
import com.video.module_widget.utils.StyleUtils
import com.video.module_widget.utils.toArgb
import com.video.module_widget.widget.ShapeConstraintLayoutExt
import com.video.module_widget.widget.ShapeFrameLayoutExt
import com.video.module_widget.widget.ShapeLinearLayoutExt

/**
 * @description:
 * @author:  stone
 * @email:
 * @date :   2022/6/9 上午9:48
 */
class GoldAdapter : BaseQuickAdapter<ComboInfo, BaseViewHolder>(R.layout.member_gold_item) {
    override fun convert(holder: BaseViewHolder, item: ComboInfo) {
//        holder.getView<TextView>(R.id.stv_original_price).paintFlags = (Paint.STRIKE_THRU_TEXT_FLAG or Paint.ANTI_ALIAS_FLAG)
//        holder.setText(R.id.stv_original_price, (item.originalPrice/100f).savaTwoDigits())
        holder.setText(R.id.stv_price, (item.price/100f).toString())
        holder.setText(R.id.tv_desc, item.des)
        holder.setText(R.id.tv_gold_num, "${item.goldNumber}")
        holder.getView<View>(R.id.sll_item).isSelected = item.isSelected

       val root = holder.getView<ShapeFrameLayoutExt>(R.id.sll_item)

        root.setBorderWidth(1)
        root.setBorderColor(StyleUtils.getPrimaryColor().toArgb())
//        root.setBackgroundColor(StyleUtils.getPrimaryColor().toArgb(0.5))
        holder.setTextColor(R.id.tv_desc, StyleUtils.getPrimaryColor().toArgb())
        val btn = holder.getView<ShapeLinearLayoutExt>(R.id.sl_btn)
        btn.setBackgroundColor(StyleUtils.getPrimaryColor().toArgb())
        root.reBuilder()
        btn.reBuilder()
    }
}