package com.at.video.member.ui.recharge

import android.os.Bundle
import androidx.fragment.app.Fragment
import com.at.common.base.BaseActivity
import com.at.common.global.Constants
import com.at.common.setLightStatusBar
import com.melancholy.router.annotation.annotation.Route
import com.melancholy.router.api.launcher.Router
import dagger.hilt.android.AndroidEntryPoint

/**
 * @description: 充值页面
 * @date :   2022/5/7 下午4:10
 */

@AndroidEntryPoint
@Route(path = "/member/RechargeActivity")
//@Route(path = "/member/RechargeActivity", extras = 10086)
class RechargeActivity : BaseActivity() {

    override fun immersiveBar() {
        super.immersiveBar()
        setLightStatusBar(true)
    }

    override fun initialize(savedInstanceState: Bundle?) {
        if (savedInstanceState == null) {
            supportFragmentManager.beginTransaction()
                .add(
                    android.R.id.content, Router.getInstance()
                        .build("/member/MemberFragmentNew")
                        .navigation() as Fragment
                )
                .commit()
        }
    }

    override fun loadData() {

    }

}