package com.at.video.mine

import android.app.Application
import com.at.video.mine.manager.UserManager
import com.melancholy.application.lifecycle.IApplicationLifecycle
import com.melancholy.register.annotation.RegisterService
import com.melancholy.utils.AppUtils

/**
 * @Create_time: 2022/5/20 17:04
 * @Description:
 */

@RegisterService(serviceClass = IApplicationLifecycle::class)
class MineApplication: IApplicationLifecycle {
    override fun priority(): Int = 1

    override fun onCreate(application: Application) {
        if(AppUtils.isMainProcess(application)) {
            UserManager.instance.loadInfo()
        }
    }
}