package com.at.video.mine

import android.content.Context
import com.at.video.export.mine.IMineService
import com.at.video.export.mine.IToken
import com.at.video.export.mine.IUser
import com.at.video.mine.manager.UserManager
import com.melancholy.router.annotation.annotation.Route
import kotlinx.coroutines.flow.StateFlow

/**
 * @Create_time: 2022/5/20 14:51
 * @Description:
 */

@Route(path = "/mine/MineService")
class MineServiceImpl: IMineService {

    override fun init(context: Context) {

    }

    override fun getUser(): StateFlow<IUser?> {
        return UserManager.instance.userFlow
    }

    override fun getToken(): StateFlow<IToken?> {
        return UserManager.instance.tokenFlow
    }
}