package com.at.video.mine.entity

import com.squareup.moshi.JsonClass

/**
 *
 * @Description: java类作用描述
 * @CreateDate: 2022/12/5 下午2:44
 * @UpdateUser: 更新者
 * @UpdateDate: 2022/12/5 下午2:44
 * @UpdateRemark: 更新说明
 * @Version: 1.0
 */
@JsonClass(generateAdapter = true)
class CityInfo (
    val list:List<City>?,
    val code:Int = 200,
    val reason:String?,
    val message:String?
    ){
        fun msg():String = when(code){
            401->"未登录"
            else -> message?:""
        }

        fun success():Boolean = code ==200
    }

@JsonClass(generateAdapter = true)
class City(
    val id: String,
    val parentId: String,
    val name: String,
    val districts: List<City>?
){
    override fun toString(): String {
        return name
    }
}