package com.at.video.mine.entity

import com.squareup.moshi.JsonClass

/**
 *
 * @Description: java类作用描述
 * @CreateDate: 2022/12/5 下午5:41
 * @UpdateUser: 更新者
 * @UpdateDate: 2022/12/5 下午5:41
 * @UpdateRemark: 更新说明
 * @Version: 1.0
 */
@JsonClass(generateAdapter = true)
class CountryCodeInfo (
    val list:List<CountryCode>?,
    val code:Int = 200,
    val reason:String?,
    val message:String?
){
    fun msg():String = when(code){
        401->"未登录"
        else -> message?:""
    }

    fun success():Boolean = code ==200
}

@JsonClass(generateAdapter = true)
class CountryCode(
    val english_name:String?,
    val chinese_name:String?,
    val country_code:String?,
    val phone_code:String?
){
    override fun toString(): String {
        return "$chinese_name  $phone_code"
    }
}