package com.at.video.mine.entity

import com.at.video.export.mine.IToken
import com.squareup.moshi.JsonClass

/**
 * @Create_time: 2022/5/20 13:18
 * @Description:
 */

@JsonClass(generateAdapter = true)
data class LoginInfo(
    val user: UserInfo,
    val token: String,
    val tokenRefresh: String
): IToken {
    override fun getUserToken(): String = token

    override fun getUserRefreshToken(): String = tokenRefresh
}