package com.at.video.mine.entity

import com.squareup.moshi.JsonClass

/**
 *
 * @Description: java类作用描述
 * @CreateDate: 2022/6/28 上午11:27
 * @UpdateUser: 更新者
 * @UpdateDate: 2022/6/28 上午11:27
 * @UpdateRemark: 更新说明
 * @Version: 1.0
 */

@JsonClass(generateAdapter = true)
data class NewMessageInfo(
    val online:Boolean = true,
    val messages:List<Message>? = null
)

@JsonClass(generateAdapter = true)
data class Message(
    val id:String?,
    val time:String?,
    val content:String?,
    val msg_type:Int,
    val name:String?,
    val avatar:String?,
    val content_type:String? = ""
)

@JsonClass(generateAdapter = true)
data class MessageInfo(
//    val message:String?,
//    val messageType:Int,
//    val filePath:String? = null,
//    val imgUri:Uri? = null,
    val kefu_name:String? = "",
    val kefu_id:String? = "",
    val kefu_avatar:String? = "",
    val content:String? ="",
    val session_id:String? = "",
    val visitor_id:String? = "",
    val state:Int? = 2 , // 1 下线 2.在线
    val visitor_name:String? = null,
    val visitor_avatar:String? = null
)
@JsonClass(generateAdapter = true)
data class MessageCount(val total:Int)