package com.at.video.mine.entity

import com.squareup.moshi.JsonClass

@JsonClass(generateAdapter = true)
data class RegisterData(
    val username: String,
    val password: String,
    val code:Int = 200,
    val reason:String?,
    val message:String?
)
{
    fun msg():String = when(code){
        401->"未登录"
        else -> message?:""
    }

    fun success():Boolean = code ==200
}