package com.at.video.player.entity

import com.chad.library.adapter.base.entity.MultiItemEntity
import com.squareup.moshi.JsonClass

@JsonClass(generateAdapter = true)
data class StarVideoInfo(
    val Origin: String?,
    val actors: String?,
    val area: String?,
    val area_id: String?,
    val categ_id: String?,
    val categ_name: String?,
    val cover_horizontal: String?,
    val cover_vertical: String?,
    val created_at: String?,
    val directors: String?,
    val duration: String?,
    val episode: String?,
    val episode_total: String?,
    val highlight: String?,
    val id: String?,
    val introduction: String?,
    val keywords: String?,
    val lang: String?,
    val name: String?,
    val name_alias: String?,
    val name_eng: String?,
    val note: String?,
    val play_url: String?,
    val popularity: String?,
    val price: String?,
    val price_type: String?,
    val publish_status: String?,
    val release_date: String?,
    val score: String?,
    val score_douban: String?,
    val score_imdb: String?,
    val site_id: String?,
    val status: Int?,
    val subcateg_id: String?,
    val subcateg_name: String?,
    val tags: String?,
    val updated_at: String?,
    val year: String?
) : MultiItemEntity {
    override val itemType: Int
        get() = if (price_type?.toInt() == 1) 1 else 2
}
