package com.at.video.player.entity

import android.os.Parcel
import android.os.Parcelable


/**
 *
 * @Description: java类作用描述
 * @CreateDate: 2022/6/13 下午7:59
 * @UpdateUser: 更新者
 * @UpdateDate: 2022/6/13 下午7:59
 * @UpdateRemark: 更新说明
 * @Version: 1.0
 */
data class TabInfo(
    val id: String,
    val name: String
): Parcelable {
    constructor(parcel: Parcel) : this(parcel.readString()?:"", parcel.readString() ?: "")

    override fun writeToParcel(parcel: Parcel, flags: Int) {
        parcel.writeString(id)
        parcel.writeString(name)
    }

    override fun describeContents(): Int {
        return 0
    }

    companion object CREATOR : Parcelable.Creator<TabInfo> {
        override fun createFromParcel(parcel: Parcel): TabInfo {
            return TabInfo(parcel)
        }

        override fun newArray(size: Int): Array<TabInfo?> {
            return arrayOfNulls(size)
        }
    }
}