package com.at.video.player.libtorrent

/**
 *@author ly
 *@name torrent 磁力链接下载管理
 *@desc xx
 *@since 2023/2/10 15:12
 *@version 1.0.0
 **/
object DownloadManager {


    /**
     * 开始任务,并判断是否超过最大任务数，
     * 没有超过：开始任务
     * 超过：添加到下载队列，状态设置为等待状态
     */
    fun startTask(stream: TorrentDownload?) {
        stream?.startStream(stream.entity.videoURL, "")
    }


    /**
     * 停止任务,移除下载队列中任务
     * 并判断任务列表中是否超过最大任务数，
     * 没有超过：开始任务
     * 超过：添加到下载队列，状态设置为等待状态
     */
    fun stopTask(stream: TorrentDownload?) {
        stream?.stopStream()
    }

}