package com.at.video.player.libtorrent.listener;

import com.frostwire.jlibtorrent.AlertListener;
import com.frostwire.jlibtorrent.alerts.Alert;
import com.frostwire.jlibtorrent.alerts.AlertType;
import com.frostwire.jlibtorrent.alerts.PeerConnectAlert;

/**
 * Date:2019/12/30
 * <p>
 * Author:jocker
 * <p>
 * Description:
 */
public abstract class MovePeerConnectedAlertListener implements AlertListener {
    @Override
    public int[] types() {
        return new int[]{AlertType.PEER_CONNECT.swig()};
    }

    public final Object obj;

    public MovePeerConnectedAlertListener(Object obj) {
        this.obj = obj;
    }

    @Override
    public void alert(Alert<?> alert) {
        switch (alert.type()){
            case PEER_CONNECT:
                peerConnect((PeerConnectAlert) alert);
                break;
            default:
                break;
        }
    }

    protected abstract void peerConnect(PeerConnectAlert alert);
}
