package com.at.video.player.ui.player

import androidx.recyclerview.widget.GridLayoutManager
import com.at.video.player.R
import com.chad.library.adapter.base.BaseBinderAdapter
import com.chad.library.adapter.base.listener.GridSpanSizeLookup

/**
 * @Create_time: 2022/5/13 11:20
 * @Description:
 */

class PlayerAdapter(list: MutableList<Any>? = null): BaseBinderAdapter(list), GridSpanSizeLookup {

    init {
        setGridSpanSizeLookup(this)
        addChildClickViewIds(R.id.tv_synopsis)
    }

    override fun getSpanSize(gridLayoutManager: GridLayoutManager, viewType: Int,
                             position: Int): Int {
        if(viewType == 1 || viewType == 2 || viewType == 3 || viewType == 4) {
            return gridLayoutManager.spanCount
        }
        return 1
    }

}