package com.at.video.service.ui.service.order

import android.graphics.Canvas
import android.graphics.Color
import android.graphics.Rect
import android.graphics.drawable.ColorDrawable
import android.graphics.drawable.Drawable
import android.view.View
import androidx.recyclerview.widget.GridLayoutManager
import androidx.recyclerview.widget.LinearLayoutManager
import androidx.recyclerview.widget.RecyclerView
import com.melancholy.utils.AppInstance

/**
 *
 * @Description: java类作用描述
 * @CreateDate: 2022/6/17 上午9:00
 * @UpdateUser: 更新者
 * @UpdateDate: 2022/6/17 上午9:00
 * @UpdateRemark: 更新说明
 * @Version: 1.0
 */
class OrderDecoration : RecyclerView.ItemDecoration() {
//    private val mBounds = Rect()
//    private var mDivider: Drawable = ColorDrawable(Color.RED)

    private var mPadding = AppInstance.getApplication().resources
    .getDimensionPixelSize(com.at.common.R.dimen.dp_12)
//    private var lineHeight = 1
    override fun getItemOffsets(
        outRect: Rect,
        view: View,
        parent: RecyclerView,
        state: RecyclerView.State
    ) {
        super.getItemOffsets(outRect, view, parent, state)
        outRect.set(mPadding, mPadding, mPadding, 0);
    }
//    fun setDrawable(drawable: Drawable) {
//        mDivider = drawable
//    }
//
//    fun setPaddingHorizontal(padding:Int){
//        paddingHorizontal = padding
//    }
//
//    fun setLineHeight(height:Int){
//        lineHeight = height
//    }
//
//    override fun onDraw(c: Canvas, parent: RecyclerView, state: RecyclerView.State) {
//        super.onDraw(c, parent, state)
//        c.save()
//        val count: Int = parent.childCount //获得当前RecyclerView数量
//
//        for (i in 0 until count) {       //遍历全部item View
//            val view: View =parent.getChildAt(i)
//            val top = view.top //获得这个item View的top位置
//            val bottom = view.bottom
//            val left = view.left
//            val right = view.right
//            mDivider.setBounds(left, bottom +lineHeight, right, bottom)
//            mDivider.draw(c)
//        }
//        c.restore()
//    }
}