package com.at.video.service.ui.service.order.add

import android.widget.ImageView
import android.widget.ProgressBar
import com.at.video.service.R
import com.at.video.service.entity.FileData
import com.chad.library.adapter.base.BaseQuickAdapter
import com.chad.library.adapter.base.viewholder.BaseViewHolder

/**
 *
 * @Description: java类作用描述
 * @CreateDate: 2022/6/16 上午10:36
 * @UpdateUser: 更新者
 * @UpdateDate: 2022/6/16 上午10:36
 * @UpdateRemark: 更新说明
 * @Version: 1.0
 */
class OrderUploadFileAdapter: BaseQuickAdapter<FileData,
        BaseViewHolder>(R.layout.service_work_order_upload_item) {

    override fun convert(holder: BaseViewHolder, item: FileData) {
        holder.setText(R.id.tv_name,item.name)
            .setText(R.id.tv_size,item.size)
            .setText(R.id.tv_time,item.createAt)
        if(item.type == 1){
            holder.getView<ImageView>(R.id.div_image).setImageURI(item.img)
//            holder.getView<ImageView>(R.id.div_image).load(ImageConfig(ServiceConst.BaseUrl + item.path, placeholderId = R.drawable.service_ic_file, errorId = R.drawable.service_ic_file))
        }else{
            holder.getView<ImageView>(R.id.div_image).setImageResource(R.drawable.service_ic_file)
        }
        val progressBar = holder.getView<ProgressBar>(R.id.hp_progress)
        progressBar.progress = item.progress!!
    }

    override fun convert(holder: BaseViewHolder, item: FileData, payloads: List<Any>) {
        val progressBar = holder.getView<ProgressBar>(R.id.hp_progress)
        progressBar.progress = payloads[0] as Int
    }

}