package com.at.video.service.ui.service.order.detail

import android.graphics.drawable.GradientDrawable
import android.view.View
import android.widget.ImageView
import android.widget.TextView
import com.at.video.service.R
import com.at.video.service.entity.FileInfo
import com.at.video.service.entity.OrderData
import com.chad.library.adapter.base.BaseQuickAdapter
import com.chad.library.adapter.base.viewholder.BaseViewHolder
import com.melancholy.widget.shape.view.ShapeTextView

/**
 *
 * @Description: java类作用描述
 * @CreateDate: 2022/6/16 上午10:36
 * @UpdateUser: 更新者
 * @UpdateDate: 2022/6/16 上午10:36
 * @UpdateRemark: 更新说明
 * @Version: 1.0
 */
class OrderDetailFileAdapter(): BaseQuickAdapter<FileInfo,
        BaseViewHolder>(R.layout.service_work_order_file_item) {

    override fun convert(holder: BaseViewHolder, item: FileInfo) {
        holder.setText(R.id.tv_name,item.name)
        val downIcon = holder.getView<ImageView>(R.id.iv_download)
        if(item.name!!.indexOf("jpg") != -1){
            downIcon.visibility =View.GONE
        }else{
            downIcon.visibility = View.VISIBLE
        }
    }


}