package com.melancholy.webview

import android.os.Handler
import android.os.Looper
import android.widget.Toast
import com.melancholy.utils.AppInstance
import com.melancholy.webview.command.Command

/**
 * @Create_time: 2020/8/31 11:49
 * @Description: ()
 */
class ToastCommand: Command {
    override fun name(): String = "toast"

    override fun exec(params: Map<Any?, Any?>?, resultBack: ICallbackFromMainToWeb) {
        Handler(Looper.getMainLooper()).post {
            Toast.makeText(AppInstance.getApplication(), "收到了js端的调用，参数是： ${params.toString()}", Toast.LENGTH_SHORT).show()
        }
        resultBack.onResult(mutableMapOf("type" to "java层回传的参数"))
    }
}