package com.melancholy.webview

import android.net.Uri
import android.os.Environment
import android.os.Message
import android.util.Log
import android.view.View
import android.webkit.ValueCallback
import android.webkit.WebChromeClient
import android.widget.FrameLayout
import android.widget.FrameLayout.LayoutParams.MATCH_PARENT
import java.io.File

/**
 * @Create_time: 2019/10/16 11:52
 * @Description: (用一句话描述该文件做什么)
 */
class WebChromeClientDelegate {

    //private val mActivity: WebViewActivity
    // 视频全屏参数
    private val mLayoutParams = FrameLayout.LayoutParams(MATCH_PARENT, MATCH_PARENT)
    private var mVideoView: View? = null
    private var mFullVideoView: FrameLayout? = null
    private var mVideoCallback: WebChromeClient.CustomViewCallback? = null

/*    constructor(mActivity: WebViewActivity) {
        this.mActivity = mActivity
    }*/

    fun title(title: String){

    }

    fun progress(newProgress: Int){
        if(newProgress >= 100){
            //mActivity.mProgressBar.visibility = View.INVISIBLE
            val path = "${Environment.getExternalStoragePublicDirectory(Environment.DIRECTORY_DCIM)}${File.separator}Camera${File.separator}111.jpg"
            val action = "javascript:aa('$path')"
            //mActivity.mWebView.loadUrl(action)
        } else{
            //mActivity.mProgressBar.visibility = View.VISIBLE
            //mActivity.mProgressBar.progress = newProgress
        }
    }

    //在缓冲全屏视频时获得要显示的视图
    fun getVideoLoadingProgressView(): View? {
/*        val view = View(mActivity)
        view.layoutParams = mLayoutParams
        view.setBackgroundResource(R.drawable.ic_launch_background)
        return view*/
        return null
    }

    fun onShowCustomView(view: View, callback: WebChromeClient.CustomViewCallback){
        if(mVideoView != null) {
            onHideCustomView()
            return
        }
/*        val rootView: FrameLayout = mActivity.window.decorView as FrameLayout
        mFullVideoView = FrameLayout(mActivity)
        rootView.addView(mFullVideoView, mLayoutParams)
        mFullVideoView?.setBackgroundColor(Color.BLACK)
        ScreenUtils.fullScreen(mActivity)
        mFullVideoView?.addView(view)
        mVideoView = view
        mVideoCallback = callback*/
    }

    fun onHideCustomView(){
        mVideoView?.let {
/*            val rootView: FrameLayout = mActivity.window.decorView as FrameLayout
            rootView.removeView(mFullVideoView)
            mFullVideoView?.removeView(mVideoView)
            ScreenUtils.resetScreen(mActivity)
            mFullVideoView = null
            mVideoView = null
            mVideoCallback?.onCustomViewHidden()
            mVideoCallback = null*/
        }
    }

    //5.0以下访问文件的
    fun openFileChooser(uploadFile: ValueCallback<Uri>, acceptType: String?, capture: String?){
        uploadFile.onReceiveValue(null)
    }

    //Android 5.0及以上用的这个方法 api >= 21
    fun onShowFileChooser(uploadFile: ValueCallback<Array<Uri>>,
                          params: WebChromeClient.FileChooserParams): Boolean {
        uploadFile.onReceiveValue(null)
        return true
    }

    /**
     * isDialog ： 如果是true，代表这个新窗口只是个对话框，如果是false，则是一个整体的大小的窗口
     * isUserGesture 如果是true，代表这个请求是用户触发的，例如点击一个页面上的一个连接
     * resultMsg ，当一个新的WebView被创建时这个只被传递给他，resultMsg.obj是一个WebViewTransport的对象，它被用来传送给新创建的WebView
     */
    fun onCreateWindow(isDialog: Boolean, isUserGesture: Boolean, resultMsg: Message?): Boolean{
        Log.d("TAG123", "$isDialog  $isUserGesture")
        return false
    }

}