package com.melancholy.webview.ui.webview

import android.view.View
import android.webkit.WebChromeClient
import android.webkit.WebView
import android.widget.ProgressBar
import com.melancholy.widget.TitleBar

/**
 * @Create_time: 2022/6/18 17:20
 * @Description:
 */

class WebChromeClientImpl(private val titleBar: TitleBar,
                          private val progressBar: ProgressBar): WebChromeClient() {

    override fun onReceivedTitle(view: WebView?, title: String?) {
        titleBar.setTitle(title)
    }

    override fun onProgressChanged(view: WebView?, newProgress: Int) {
        progressBar.progress = newProgress
        progressBar.visibility = if(newProgress == 100) View.INVISIBLE else View.VISIBLE
    }
}