package com.video.module_widget.entity

import android.os.Parcel
import android.os.Parcelable
import com.squareup.moshi.JsonClass

/**
 * @Create_time: 2022/5/23 20:02
 * @Description:
 */

@JsonClass(generateAdapter = true)
data class AdvertisingInfo(
    val addr: String,
    val aligning: Int,
    val backgroundColor: String,
    val backgroundHeight: Int,
    val backgroundTransparent: Int,
    val backgroundWidth: Int,
    val bold: Int,
    val content: String,
    val createdAt: Int,
    val enable: Int,
    val fontColor: String,
    val fontSize: Int,
    val height: Int,
    val id: Int,
    val index: Int,
    val jumpAddr: String,
    val location: Int,
    val name: String,
    val showTime: Int,
    val size: Int,
    val title: String,
    val type: Int,
    val updatedAt: Int,
    val width: Int
): Parcelable {
    constructor(parcel: Parcel) : this(
        parcel.readString() ?: "",
        parcel.readInt(),
        parcel.readString() ?: "",
        parcel.readInt(),
        parcel.readInt(),
        parcel.readInt(),
        parcel.readInt(),
        parcel.readString() ?: "",
        parcel.readInt(),
        parcel.readInt(),
        parcel.readString() ?: "",
        parcel.readInt(),
        parcel.readInt(),
        parcel.readInt(),
        parcel.readInt(),
        parcel.readString() ?: "",
        parcel.readInt(),
        parcel.readString() ?: "",
        parcel.readInt(),
        parcel.readInt(),
        parcel.readString() ?: "",
        parcel.readInt(),
        parcel.readInt(),
        parcel.readInt()
    ) {
    }

    override fun writeToParcel(parcel: Parcel, flags: Int) {
        parcel.writeString(addr)
        parcel.writeInt(aligning)
        parcel.writeString(backgroundColor)
        parcel.writeInt(backgroundHeight)
        parcel.writeInt(backgroundTransparent)
        parcel.writeInt(backgroundWidth)
        parcel.writeInt(bold)
        parcel.writeString(content)
        parcel.writeInt(createdAt)
        parcel.writeInt(enable)
        parcel.writeString(fontColor)
        parcel.writeInt(fontSize)
        parcel.writeInt(height)
        parcel.writeInt(id)
        parcel.writeInt(index)
        parcel.writeString(jumpAddr)
        parcel.writeInt(location)
        parcel.writeString(name)
        parcel.writeInt(showTime)
        parcel.writeInt(size)
        parcel.writeString(title)
        parcel.writeInt(type)
        parcel.writeInt(updatedAt)
        parcel.writeInt(width)
    }

    override fun describeContents(): Int {
        return 0
    }

    companion object CREATOR : Parcelable.Creator<AdvertisingInfo> {
        override fun createFromParcel(parcel: Parcel): AdvertisingInfo {
            return AdvertisingInfo(parcel)
        }

        override fun newArray(size: Int): Array<AdvertisingInfo?> {
            return arrayOfNulls(size)
        }
    }
}