package com.video.module_widget.entity

import com.squareup.moshi.JsonClass

/**
 *
 * @Description: java类作用描述
 * @CreateDate: 2022/8/4 上午10:18
 * @UpdateUser: 更新者
 * @UpdateDate: 2022/8/4 上午10:18
 * @UpdateRemark: 更新说明
 * @Version: 1.0
 */

@JsonClass(generateAdapter = true)
data class Global(
    val primaryColor:String = "#165DFF",
    val tagStyle:Int = 1,
    val loadIcon:Int = 1,
    val searchIcon:Int = 1,
    val change:Change = Change(),
    val footer:Footer = Footer(),
    val tag:Tag = Tag(),
    val homeEntryMenuEnable:Boolean = true
)

@JsonClass(generateAdapter = true)
data class Tag(
    val style:Int = 1,
    val enable: Boolean = true
)

@JsonClass(generateAdapter = true)
data class Footer(val text:String = "暂无更多数据",val color:String = "#232323")

@JsonClass(generateAdapter = true)
data class Change(val style:Int = 1, val enable:Boolean = true)