package com.video.module_widget.entity

import com.squareup.moshi.JsonClass
import com.video.module_widget.entity.home.Adv

@JsonClass(generateAdapter = true)
data class Home(
    val topBar:List<TopBar> = arrayListOf(),
    val noticeBar:List<Content> = arrayListOf(),
    val dialogAdv: Adv? = null,
    val bottomFloatAdv:Adv? = null
)

@JsonClass(generateAdapter = true)
data class TopBar(
    val type:String = "",
    val content:List<Content>
)

data class Source(
    val url:String? = ""
)
