package com.video.module_widget.entity

import com.squareup.moshi.JsonClass

@JsonClass(generateAdapter = true)
data class Splash(
  val config:SplashConfig? = null
)

@JsonClass(generateAdapter = true)
data class SplashConfig(
    val logo:Logo? =null,
    val text:TextConfig? = null,
    val background:String? = null,
    val bg:Bg? = null
)

@JsonClass(generateAdapter = true)
data class Bg(
    val mode:Int = 1,
    val input:String? =null,
    val upload:String? = null
)