package com.video.module_widget.entity.adapter

import com.squareup.moshi.FromJson
import com.squareup.moshi.JsonAdapter
import com.squareup.moshi.JsonWriter
import com.squareup.moshi.ToJson
import com.video.module_widget.entity.DataReport

/**
 *
 * @Description: java类作用描述
 * @CreateDate: 2022/12/28 下午5:58
 * @UpdateUser: 更新者
 * @UpdateDate: 2022/12/28 下午5:58
 * @UpdateRemark: 更新说明
 * @Version: 1.0
 */
class DataReportAdapter {
//    @ToJson
//    fun toJson(dataReport: DataReport):String{
//        return  dataReport.device_id
//    }

    @ToJson fun toJson(writer: JsonWriter, tournament: DataReport?,
                       delegate: JsonAdapter<DataReport?>
    ) {
        val wasSerializeNulls: Boolean = writer.serializeNulls
        writer.serializeNulls = false
        try {
            delegate.toJson(writer, tournament)
        } finally {
            writer.isLenient = wasSerializeNulls
        }
    }

    @FromJson
    fun fromJson(json:String):DataReport{
        return DataReport()
    }
}