package com.at.video.atlas.entity

import com.squareup.moshi.JsonClass
import java.io.Serializable

/**
 * @Create_time: 2022/5/28 09:33
 * @Description: 图集类型
 */

@JsonClass(generateAdapter = true)
data class AtlasTypeInfo(
    val createdAt: String="",
    val homeShow: Boolean=false,
    val cover: Any,
    val id: String,
    val level: Int=0,
    val name: String,
    val numberId: Int=0,
    val parentId: Int=0,
    val parentName: String="",
    val rsAmount: Int=0,
    val rsType: Int=0,
    val show: Boolean=false,
    val updatedAt: String=""
):Serializable