package com.at.video.atlas.entity

import com.squareup.moshi.JsonClass

@JsonClass(generateAdapter = true)
data class SubCategory(
    val subcateg_id: String?,
    val subcateg_name: String?,
    val subcateg_order: String?,
    val subcateg_picture_count: String?,
    val subcateg_status: Int?
)

@JsonClass(generateAdapter = true)
data class SubCategoryList(
    val list:List<Category>?,
    val total:String?,
    val code:Int = 200,
    val reason:String?,
    val message:String?
){
    fun msg():String = when(code){
        401->"未登录"
        else -> "成功"
    }

    fun success():Boolean = code ==200
}
@JsonClass(generateAdapter = true)
data class TypeList(
    val list:List<TypeBean>?,
    val total:String?
)
@JsonClass(generateAdapter = true)
data class TypeBean(
    val id: String?,
    val name: String?,
    val order: String?,
    val status: Int?,
    val module: Int = 0,
    val site_id:String?,
    val categ_id:String?,
    val created_at:String?,
    val updated_at:String?
)