package com.at.video.atlas.ui.detail

import android.view.ViewGroup
import android.view.ViewGroup.LayoutParams.MATCH_PARENT
import android.view.ViewGroup.LayoutParams.WRAP_CONTENT
import android.widget.ImageView
import com.chad.library.adapter.base.BaseQuickAdapter
import com.chad.library.adapter.base.viewholder.BaseViewHolder
import com.video.module_widget.R
import com.video.module_widget.imageUrl
import com.video.module_widget.utils.GlideImageConfig
import com.video.module_widget.utils.loadByGlide
import java.lang.ref.WeakReference

/**
 *
 * @Description: java类作用描述
 * @CreateDate: 2022/12/8 下午3:01
 * @UpdateUser: 更新者
 * @UpdateDate: 2022/12/8 下午3:01
 * @UpdateRemark: 更新说明
 * @Version: 1.0
 */
 class DetailAdapter: BaseQuickAdapter<String, BaseViewHolder>(com.at.video.atlas.R.layout.atlas_item_pic_detail) {

//    override fun onCreateDefViewHolder(parent: ViewGroup, viewType: Int): BaseViewHolder {
//        val image = ImageView(parent.context)
//        image.layoutParams = ViewGroup.LayoutParams(MATCH_PARENT,300)
////        image.adjustViewBounds = true
//        return createBaseViewHolder(image)
//    }

    override fun convert(holder: BaseViewHolder, item: String) {
        holder.getView<ImageView>(com.at.video.atlas.R.id.iv_item).loadByGlide(
            GlideImageConfig(item.imageUrl(),
                placeholderId =  R.drawable.common_ic_image_altas_default,
                errorId =  R.drawable.common_ic_image_altas_default),
            WeakReference(context)
        )
    }
}
