package com.at.video.atlas.ui.search.mapping

import android.os.Bundle
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import com.at.common.databinding.CommonStatusRefreshListBinding
import com.at.common.mvi.BaseMviFragment
import dagger.hilt.android.AndroidEntryPoint

/**
 * @Create_time: 2022/4/28 19:23
 * @Description:
 */

@AndroidEntryPoint
class SearchMappingFragment: BaseMviFragment<CommonStatusRefreshListBinding,
        SearchMappingViewModel>() {

    override fun createViewBinding(inflater: LayoutInflater, container: ViewGroup?,
                                   savedInstanceState: Bundle?): CommonStatusRefreshListBinding {
        return CommonStatusRefreshListBinding.inflate(inflater, container, false)
    }

    override fun getViewModelClass(): Class<SearchMappingViewModel> {
        return SearchMappingViewModel::class.java
    }

    override fun initialize(view: View, savedInstanceState: Bundle?) {

    }

    override fun loadData() {

    }
}