package com.at.video.atlas.widget.loader

import android.content.Context
import android.graphics.drawable.Drawable
import android.widget.ImageView
import com.at.common.ImageConfig
import com.at.common.load
import com.video.module_widget.imageUrl

/**
 * @description:
 * @author:  stone
 * @email:
 * @date :   2022/6/6 下午8:36
 */
class CoilLoader : ImageLoader {
    override fun loadImage(
        context: Context?,
        imageView: ImageView?,
        data: Any?,
        placeholderDrawable: Drawable?,
        errorDrawable: Drawable?
    ) {
        imageView?.load(
            ImageConfig(
                if (data is String) data.imageUrl() else data,
                placeholder = placeholderDrawable,
                error = errorDrawable
            )
        )
    }
}