package com.at.video.home.entity

import com.squareup.moshi.JsonClass

@JsonClass(generateAdapter = true)
data class ConditionBean(
    val area_list:AreaList?,
//    val category_list:CategoryListBean?,
    val sub_category_list:SubCategoryList?,
    val types_list:TypeList?,
    val year:YearList?,
    val lang:YearList?,
    val code:Int = 200,
    val reason:String?,
    val message:String?,
){
    fun msg():String = when(code){
        401->"未登录"
        else -> "成功"
    }

    fun success():Boolean = code ==200
}

