package com.at.video.home.entity

import com.squareup.moshi.JsonClass

/**
 * @Create_time: 2022/5/27 10:02
 * @Description: 筛选条件
 */

@JsonClass(generateAdapter = true)
data class FilterConditionsInfo (
    val area: List<String>?,
    val category: List<CategoryConditionsInfo>?,
    val cost: List<ConditionsInfo>?,
    val era: List<String>?,
    val sort: List<ConditionsInfo>?
)

@JsonClass(generateAdapter = true)
data class CategoryConditionsInfo(
    val createdAt: String,
    val homeShow: Boolean,
    val cover: String,
    val id: Int,
    val level: Int,
    val name: String,
    val numberId: Int,
    val parentId: Int,
    val parentName: String,
    val rsAmount: Int,
    val rsType: Int,
    val show: Boolean,
    val updatedAt: String
)