package com.at.video.home.entity

import com.squareup.moshi.JsonClass

@JsonClass(generateAdapter = true)
data class SearchFilmBean(
    val film_list:VideoList?,
    val actor_list:ActorList?,
    val code:Int = 200,
    val reason:String?,
    val message:String?,
){
    fun msg():String = when(code){
        401->"未登录"
        else -> "成功"
    }

    fun success():Boolean = code ==200
}

@JsonClass(generateAdapter = true)
data class ActorList(
    val persons:List<StarBean>?,
    val total:String?
)
