package com.at.video.home.ui.home.recommend.binder

import android.view.LayoutInflater
import android.view.ViewGroup
import com.at.video.home.R
import com.at.video.home.entity.CategoryInfo
import com.chad.library.adapter.base.binder.BaseItemBinder
import com.chad.library.adapter.base.viewholder.BaseViewHolder

/**
 * @Create_time: 2022/5/26 09:43
 * @Description: 点击换一换
 */

class FooterBinder: BaseItemBinder<FooterBinder.Data, BaseViewHolder>() {

    override fun onCreateViewHolder(parent: ViewGroup, viewType: Int): BaseViewHolder {
        return BaseViewHolder(LayoutInflater.from(parent.context)
            .inflate(R.layout.home_footer_binder_view, parent, false))
    }

    override fun convert(holder: BaseViewHolder, data: Data) {

    }

    /**
     * @param data 换一换数据
     * @param index 当前换一换下标
     * @param offset 网路开始请求数据的位置
     * @param type: 要访问数据的接口类型 0最新 1最热 2分类 3专辑
     * @param id 换一换id
     */
    data class Data(val data: List<List<CategoryInfo>>, val index: Int, val offset: Int,
                    val type: Int, val id: Int? = null)
}