package com.at.video.home.ui.home.star

import android.graphics.Rect
import android.util.Log
import android.view.View
import androidx.recyclerview.widget.GridLayoutManager
import androidx.recyclerview.widget.RecyclerView
import com.melancholy.utils.AppInstance

/**
 *
 * @Description: java类作用描述
 * @CreateDate: 2022/7/26 下午3:33
 * @UpdateUser: 更新者
 * @UpdateDate: 2022/7/26 下午3:33
 * @UpdateRemark: 更新说明
 * @Version: 1.0
 */
class StarTypeDecoration: RecyclerView.ItemDecoration() {

    private val mPadding: Int = AppInstance.getApplication().resources
        .getDimensionPixelSize(com.at.common.R.dimen.dp_16)

    override fun getItemOffsets(outRect: Rect, view: View, parent: RecyclerView,
                                state: RecyclerView.State) {
        val itemPosition = parent.getChildAdapterPosition(view)
        if(itemPosition == 0){
            outRect.left = mPadding
        }
        outRect.right = mPadding
    }
}