package com.at.video.main.entity

import com.squareup.moshi.JsonClass

@JsonClass(generateAdapter = true)
data class SettingsInfo(
    //设置ID
    val id: Int,
    //广告滚动时间
    val adRollingTime: Int,
    //公告轮播时长
    val announcementHoldTime: Int,
    //图片大小
    val pictureSize: Int,
    //支持png（1：是，2：否）
    val supportPng: Int,
    //支持jpeg/jpg（1：是，2：否）
    val supportJpeg: Int,
    //支持bmp（1：是，2：否）
    val supportBmp: Int,
    //支持webp（1：是，2：否）
    val supportWebp: Int,
    //支持gif（1：是，2：否）
    val supportGif: Int,
    //分享地址
    val shareAddr: String,
    //客服地址
    val customerServiceAddr: String,
    //更新时间
    val updatedAt: Long,
    //创建时间
    val createdAt: Long
)