package com.at.video.main.entity

import com.squareup.moshi.JsonClass

@JsonClass(generateAdapter = true)
data class TemplateBean(
    val adv_lib_id: String?,
    val content: String?,
    val created_at: String?,
    val `data`: String?,
    val id: String?,
    val name: String?,
    val site_id: String?,
    val style: String?,
    val updated_at: String?,
    val code:Int = 200,
    val reason:String?,
    val message:String?
){
    fun msg():String = when(code){
        401->"未登录"
        else -> message?:""
    }

    fun success():Boolean = code ==200
}