package com.at.video.member.entity

import android.os.Parcel
import android.os.Parcelable
import com.squareup.moshi.JsonClass

/**
 * @Create_time: 2022/5/23 19:10
 * @Description: 套餐
 */

@JsonClass(generateAdapter = true)
data class ComboInfo(
    val createdAt: Int,
    val days: Int,
    val des: String,
    val enable: Int,
    val goldNumber: Int,
    val id: Int,
    val index: Int,
    val name: String,
    val originalPrice: Int,
    val price: Int,
    val type: Int,
    val updatedAt: Int,
    val exchange:Int,
    var isSelected: Boolean = false
) : Parcelable {
    constructor(parcel: Parcel) : this(
        parcel.readInt(),
        parcel.readInt(),
        parcel.readString() ?: "",
        parcel.readInt(),
        parcel.readInt(),
        parcel.readInt(),
        parcel.readInt(),
        parcel.readString() ?: "",
        parcel.readInt(),
        parcel.readInt(),
        parcel.readInt(),
        parcel.readInt(),
        parcel.readInt(),
        parcel.readByte().toInt() != 0
    ) {
    }

    override fun writeToParcel(parcel: Parcel, flags: Int) {
        parcel.writeInt(createdAt)
        parcel.writeInt(days)
        parcel.writeString(des)
        parcel.writeInt(enable)
        parcel.writeInt(goldNumber)
        parcel.writeInt(id)
        parcel.writeInt(index)
        parcel.writeString(name)
        parcel.writeInt(originalPrice)
        parcel.writeInt(price)
        parcel.writeInt(type)
        parcel.writeInt(updatedAt)
        parcel.writeInt(exchange)
        parcel.writeByte(if (isSelected) 1 else 0)
    }

    override fun describeContents(): Int {
        return 0
    }

    companion object CREATOR : Parcelable.Creator<ComboInfo> {
        override fun createFromParcel(parcel: Parcel): ComboInfo {
            return ComboInfo(parcel)
        }

        override fun newArray(size: Int): Array<ComboInfo?> {
            return arrayOfNulls(size)
        }
    }
}