package com.at.video.member.http

import com.at.common.network.BaseBean
import com.at.common.network.PageBean
import com.at.video.member.entity.*
import retrofit2.http.*

/**
 * @Create_time: 2022/5/23 18:48
 * @Description:
 */

interface ApiService {

    //套餐列表
    @GET("plans")
    suspend fun getComboList(@QueryMap map: @JvmSuppressWildcards Map<String, Any>): BaseBean<PageBean<ComboInfo>>

    //消费明细
    @GET("records/purchases")
    suspend fun getPurchasesDetails(@QueryMap map:@JvmSuppressWildcards Map<String,Any>): BaseBean<PageBean<PurchasesItem>>

    //我的购买记录
    @GET("records/golds")
    suspend fun getBuyList(@QueryMap map:@JvmSuppressWildcards Map<String,Any>): BaseBean<PageBean<GoldsItem>>

    //金币购买项目
    @POST("orders/golds/{id}")
    suspend fun buy(@Path("id")id: Int, @Query("use") use:Int=1): BaseBean<MemberInfo>
}