package com.at.video.export.mine

/**
 * @Create_time: 2022/5/20 11:24
 * @Description: 对外暴露的用户信息
 */

interface IUser {
    //用户id
    fun getUserId(): String

    //用户名称
    fun getUserName(): String

    //昵称
    fun getUserNickname(): String

    //用户头像
    fun getUserAvatar(): String

    //登陆账号
    fun getUserAccount(): String

    // 获取手机区号
    fun getPhoneCountryCode(): String?

    //电话号码
    fun getUserPhoneNumber(): String?

    //邮箱
    fun getUserEmail(): String

    //生日
    fun getUserBirthday(): String

    //金币
    fun getUserGold(): String

    //性别
    fun getUserGender(): Int

    //所在地
    fun getUserAddress(): String

    //过期时间
    fun getUserExpirationTime(): Long

    //活跃时间
    fun getUserActiveTime(): String

    //最后登陆时间
    fun getUserLastLoginTime(): String

    //是否时会员
    fun isMember(): Boolean

    //总消费
    fun getUserConsumption(): String
}