package com.at.video.mine

import android.content.res.Resources
import android.os.Build

/**
 * @description:
 * @author:  stone
 * @email:
 * @date :   2022/6/7 下午3:17
 */
fun Resources.color(id: Int): Int {
    return if (Build.VERSION.SDK_INT >= Build.VERSION_CODES.M) {
        this.getColor(id, null)
    } else {
        this.getColor(id)
    }
}