package com.at.video.mine.entity

import com.squareup.moshi.JsonClass

/**
 * @Create_time: 2022/5/23 16:23
 * @Description: 区域信息
 */

@JsonClass(generateAdapter = true)
data class AreaInfo (
    val id: String,
    val parentId: String,
    val cityCode: String,
    val adCode: String,
    val name: String,
    val center: String,
    val level: String,
    val districts: List<AreaInfo>?
) {
    override fun toString(): String {
        return name
    }
}