package com.at.video.mine.entity

import com.squareup.moshi.JsonClass

@JsonClass(generateAdapter = true)
data class ChapterInfo(
    val createTime: Int,
    val horizontal: String,
    val length: Float,
    val name: String,
    val position: Float,
    val resourceId: Int,
    val resourceType: Int,
    val userId: Int,
    val vertical: String,
    val index:Int,
    var hisTag: String? = "更早",
    val isSelected: Boolean = false
)