package com.at.video.mine.ui.history

import android.view.View
import android.widget.CheckBox
import android.widget.CompoundButton
import com.at.video.mine.R
import com.chad.library.adapter.base.BaseQuickAdapter
import com.chad.library.adapter.base.viewholder.BaseViewHolder

/**
 * @description:
 * @author:  stone
 * @email:
 * @date :   2022/5/7 下午5:07
 */
class HistoryAdapter(var checkable: Boolean = false) :
    BaseQuickAdapter<String, BaseViewHolder>(R.layout.mine_item_history),CompoundButton.OnCheckedChangeListener {
    //是否展示checkbox
    override fun convert(holder: BaseViewHolder, item: String) {
        holder.getView<CheckBox>(R.id.cb_selected).visibility =
            if (checkable) View.VISIBLE else View.GONE
        holder.getView<CheckBox>(R.id.cb_selected).setOnCheckedChangeListener(this)
    }

    override fun onCheckedChanged(p0: CompoundButton?, p1: Boolean) {

    }
}