package com.at.video.player.libtorrent.listener

/**
 *@author ly
 *@name 磁力下载链接，下载监听
 *@desc xx
 *@since 2023/2/10 15:25
 *@version 1.0.0
 **/
interface DownloadHeadListener {

    /**
     * 开始下载
     */
    fun start(max: Long)

    /**
     * 正在下载
     */
    fun loading(progress: Int)

    /**
     * 下载完成
     */
    fun complete(path: String?)

    /**
     * 请求失败
     */
    fun fail(code: Int, message: String?)

    /**
     * 下载过程中失败
     */
    fun loadfail(message: String?)

}