package com.at.video.player.libtorrent.listener

import java.io.File

/**
 *@author ly
 *@name  下载监听事件
 *@desc xx
 *@since 2023/2/15 10:49
 *@version 1.0.0
 **/
interface TorrentDownloadListener {

    /**
     * 下载中
     * @param file 下载缓存文件
     */
    fun onDownloadProgress(file: File)

    /**
     * 下载失败
     * @param code 错误code
     * @param errorMsg 错误消息
     */
    fun onDownloadError(code: Int, errorMsg: String)

    /**
     * 下载完成
     */
    fun onDownloadComplete()
}