package com.at.video.service.entity

import android.net.Uri
import com.squareup.moshi.JsonClass

/**
 *
 * @Description: 上传文件实体
 * @CreateDate: 2022/6/16 上午11:13
 * @UpdateUser: 更新者
 * @UpdateDate: 2022/6/16 上午11:13
 * @UpdateRemark: 更新说明
 * @Version: 1.0
 */
@JsonClass(generateAdapter = true)
data class FileData (
    val name:String?,
    val path:String? = "",
    val createAt:String? = "2022-06-05 12:46",
    val status:Int = 0,
    val type:Int = 1,
    val img:Uri? = null,
    val size:String? ="0M",
    var progress:Int? = 0
)
