package com.at.video.service.entity

import com.squareup.moshi.JsonClass

/**
 *
 * @Description: java类作用描述
 * @CreateDate: 2022/6/21 上午10:14
 * @UpdateUser: 更新者
 * @UpdateDate: 2022/6/21 上午10:14
 * @UpdateRemark: 更新说明
 * @Version: 1.0
 */
@JsonClass(generateAdapter = true)
data class SendMessageInfo(
    val online:Boolean = true,
    val message:Message? = null
)


@JsonClass(generateAdapter = true)
data class NewMessageInfo(
    val online:Boolean = true,
    val messages:List<Message>? = null
)

@JsonClass(generateAdapter = true)
data class Message(
    val id:String?,
    val time:String?,
    val content:String?,
    val msg_type:Int,
    val name:String?,
    val avatar:String?,
    val content_type:String? = ""
)