package com.at.video.service.ui.service.order

import com.at.video.service.R
import com.chad.library.adapter.base.BaseQuickAdapter
import com.chad.library.adapter.base.viewholder.BaseViewHolder

/**
 *
 * @Description: java类作用描述
 * @CreateDate: 2022/6/16 上午10:36
 * @UpdateUser: 更新者
 * @UpdateDate: 2022/6/16 上午10:36
 * @UpdateRemark: 更新说明
 * @Version: 1.0
 */
class OrderStatusAdapter: BaseQuickAdapter<StatusData,
        BaseViewHolder>(R.layout.service_order_status_item) {
    private var mSelectIndex: Int = 0

    override fun convert(holder: BaseViewHolder, item: StatusData) {
        holder.setText(R.id.stv_status, item.name)
            .setEnabled(R.id.stv_status, mSelectIndex != holder.bindingAdapterPosition)
    }

    override fun convert(holder: BaseViewHolder, item: StatusData, payloads: List<Any>) {
        holder.setEnabled(R.id.stv_status, mSelectIndex != holder.bindingAdapterPosition)
    }

    fun setSelectIndex(index: Int) {
        val prevIndex: Int = mSelectIndex
        mSelectIndex = index
        notifyItemChanged(mSelectIndex,"notify")
        notifyItemChanged(prevIndex, "notify")
    }
}
data class StatusData(val name:String,val values:Int)
