package com.at.video.service.ui.service.utils

import com.melancholy.utils.DateUtils
import org.joda.time.DateTime
import java.util.*

object TimeUtils {

    fun getTimeStr(str:String?):String{
        if(str.isNullOrEmpty()) return ""
        val dateTime = DateTime(str)
        val result = dateTime.toCalendar(Locale.getDefault()).timeInMillis
        return DateUtils.format(result,"yyyy-MM-dd HH:mm:ss")
    }
}