package com.melancholy.webview

import android.app.Application
import com.melancholy.application.lifecycle.IApplicationLifecycle
import com.melancholy.register.annotation.RegisterService

/**
 * @Create_time: 2022/6/18 17:04
 * @Description:
 */

@RegisterService(serviceClass = IApplicationLifecycle::class)
class WebViewApplication: IApplicationLifecycle {
    override fun priority(): Int = 3

    override fun onCreate(application: Application) {
        WebViewInit.init(application)
    }
}