package com.video.module_widget.api

import com.video.module_widget.entity.AdvertisingBean
import com.video.module_widget.entity.PageListBean
import okhttp3.ResponseBody
import retrofit2.http.GET
import retrofit2.http.QueryMap
import retrofit2.http.Streaming
import retrofit2.http.Url

interface ApiService {

    // 广告列表
    @GET("v1/cms/advertising")
    suspend fun getAdvertisingList(@QueryMap map: @JvmSuppressWildcards Map<String, Any>): PageListBean<AdvertisingBean>

    // 下载文件
    @Streaming
    @GET
    suspend fun download(@Url url: String): ResponseBody
}
