package com.video.module_widget.constants

object StyleConsts {
    // 全局样式
    const val GLOBAL = "global"
    //启动
    const val LAUNCH = "splash"

    const val HOME = "home"

    // 首页推荐页样式
    const val HOME_RECOMMEND = "homeRecommend"

    // 首页最新页样式
    const val HOME_NEW = "homeNewest"

    // 首页最热页样式
    const val HOME_HOST= "homeHottest"

    // 首页分类页样式
    const val HOME_CATEGORY= "homeCategories"

    // 首页专辑页样式
    const val HOME_ALBUM= "homeAlbum"

    // 首页影人页样式
    const val HOME_PEOPLE = "homePeople"

    const val PEOPLE_GRID = "movieList"
    const val PEOPLE_FILTER_BAR = "filterTabBar"

    // 首页tab bar
    const val HOME_TAB_BAR = "homeTabBar"

    // 视频筛选
    const val VIDEO_FILTER = "videoFilter"

    // 视频更多
    const val VIDEO_MORE = "videoMore"

    // 文章首页
    const val ARTICLE_HOME = "articleHome"

    // 文章筛选
    const val ARTICLE_CATEGORY = "articleCategories"

    // 文章详情
    const val ARTICLE_DETAIL = "articleDetails"

    // 阅读文章
    const val ARTICLE_READ = "articleRead"

    // 图集首页
    const val ATLAS_HOME = "atlasHome"

    // 图集筛选
    const val ATLAS_CATEGORY = "atlasCategories"

    // 图集详情
    const val ATLAS_DETAIL = "atlasDetails"

    // 图集更多
    const val ATLAS_MORE = "atlasMore"

    const val VIDEO_PLAYER = "videoPlayer"

    const val VIDEO_SYNOPSIS = "videoSynopsis"

    const val ACTOR_DETAILS = "actorDetails"

    const val ACTOR_DETAIL_MORE = "actorDetailsMore"
    //背景
    const val BACKGROUND = "background"
    //内容
    const val CONTENT = "content"
    //类型
    const val TYPE = "type"

    const val SEARCH = "search"

    const val APPBAR = "appBar"

    const val BETWEEN = "between"

    const val LEFT = "left"

    const val RIGHT = "right"
    const val CENTER = "center"

    const val NOTICE_BAR = "noticeBar"

    const val FILTER_BAR = "condition"

    const val SWIPER_ADV = "swiperAdv"
    const val BANNER_ADV = "bannerAdv"
    const val QUICK_ENTRY = "quickEntry"

    const val DATA_NEWEST = "newest"
    const val DATA_HOTTEST = "hottest"
    const val DATA_CATEGORY = "category"
    const val DATA_ALBUM = "album"

    const val DATA_FIXED = "fixed"
    const val DATA_MORE = "more"

    const val DATA_STAR = "movieList"

    const val CONDITION = "condition"

    const val RESULT = "result"
    const val ATLAS_RESULT = "atlasGrid"
    const val VIDEO_GRID = "videoGrid"

    const val APP_BAR = "appBar"
    const val CATEGORY_GIDE = "categoriesGrid"
    const val ARTICLE_LIST = "articleList"

    const val CATEGORY_BAR = "categoriesBar"
    const val SYNOPSIS = "synopsis"
    const val BOTTOM_BAR = "bottomBar"

    const val FREE_LIST = "freeList"
    const val HOT_LIST = "hotList"

    const val ATLAS_GRID = "atlasGrid"

    const val TOP_BAR = "topBar"

    const val PLAYER = "player"
    const val LINES = "lines"
    const val PARTS = "parts"
    const val FOOTER_BAR = "footerBar"
    const val WORKS = "works"
    const val TABS = "tabs"
}