package com.video.module_widget.dialog

import android.os.Bundle
import android.widget.TextView
import androidx.appcompat.app.AppCompatActivity
import androidx.core.app.ActivityCompat
import com.video.module_widget.R

/**
 *
 * @Description: java类作用描述
 * @CreateDate: 2022/12/9 上午9:57
 * @UpdateUser: 更新者
 * @UpdateDate: 2022/12/9 上午9:57
 * @UpdateRemark: 更新说明
 * @Version: 1.0
 */
class SystemDialog : AppCompatActivity() {

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.system_message_dialog)
        val message = intent.extras?.getString("Message")
        findViewById<TextView>(R.id.tv_content).text = message.toString()
        setFinishOnTouchOutside(false)
        val btn = findViewById<TextView>(R.id.tv_button)
        btn.setOnClickListener {
            ActivityCompat.finishAffinity(this@SystemDialog)
            android.os.Process.killProcess(android.os.Process.myPid())
        }
    }
}
