package com.video.module_widget.entity

import com.squareup.moshi.JsonClass

@JsonClass(generateAdapter = true)
data class Border(
    val radius:Int = 0 ,
    val color:String? = null,
    val selected:String? = null
)

@JsonClass(generateAdapter = true)
data class Search(
    val border:Border? = null,
    val fill:String?=null,
    val placeholder:String? = null,
    val color:String? = null,
    val iconColor:String? = null,
    val align:String? = null,
)

