package com.video.module_widget.entity

import com.squareup.moshi.JsonClass


@JsonClass(generateAdapter = true)
data class ButtonTextConfig(
    val color:String? = null,
    val size:Int = 12,
    val content:String = "",
    val align:String = "center",
    val letterSpacing:Int = 0,
    val lineHeight:Int = 14,
    val selectedColor:String ? = null,
    val selectedSize:Int = 14,
)
