package com.video.module_widget.entity

import com.squareup.moshi.JsonClass

/**
 *
 * @Description: java类作用描述
 * @CreateDate: 2022/9/22 下午5:31
 * @UpdateUser: 更新者
 * @UpdateDate: 2022/9/22 下午5:31
 * @UpdateRemark: 更新说明
 * @Version: 1.0
 */
@JsonClass(generateAdapter = true)
data class PageListBean<T>(
    val list: List<T>?,
    val total: String = "",
    val code:Int = 200,
    val reason:String?,
    val message:String?
){
    fun msg():String = when(code){
        401->"未登录"
        else -> "成功"
    }
    fun success():Boolean = code ==200
}