package com.video.module_widget.utils

/**
 *@author luoyi
 *@name xxx
 *@desciption xxx
 *@since 2023/1/7 下午5:51
 *@version 1.0.0
 **/
object CommonStringUtils {

    /**
     * 使用竖线分割字符串
     * @param args 字符串
     */
    fun splicingStrings(vararg args: String?): String {
        val stringBuilder = StringBuilder()
        for (arg in args) {
            if (!arg.isNullOrEmpty()) {
                if (stringBuilder.isEmpty()) {
                    stringBuilder.append(arg)
                } else {
                    stringBuilder.append(" | $arg")
                }
            }
        }
        return stringBuilder.toString()
    }

    /**
     * 使用中逗号分割字符串
     * @param args 字符串
     */
    fun splicingCommaStrings(vararg args: String?): String {
        val stringBuilder = StringBuilder()
        for (arg in args) {
            if (!arg.isNullOrEmpty()) {
                if (stringBuilder.isEmpty()) {
                    stringBuilder.append(arg)
                } else {
                    stringBuilder.append("·$arg")
                }
            }
        }
        return stringBuilder.toString()
    }

    /**
     * 使用斜线分割字符串
     * @param args 字符串
     */
    fun splicingObliqueLineStrings(vararg args: String?): String {
        val stringBuilder = StringBuilder()
        for (arg in args) {
            if (!arg.isNullOrEmpty()) {
                if (stringBuilder.isEmpty()) {
                    stringBuilder.append(arg)
                } else {
                    stringBuilder.append("/$arg")
                }
            }
        }
        return stringBuilder.toString()
    }
}
