package com.video.module_widget.utils

import android.content.Context
import com.video.module_widget.R

/**
 *
 * @Description: java类作用描述
 * @CreateDate: 2022/7/21 上午9:11
 * @UpdateUser: 更新者
 * @UpdateDate: 2022/7/21 上午9:11
 * @UpdateRemark: 更新说明
 * @Version: 1.0
 */
fun Context.getDp(dimen:Int):Float = when(dimen){
    0-> resources.getDimension(com.at.common.R.dimen.dp_0)
    1-> resources.getDimension(com.at.common.R.dimen.dp_1)
    2-> resources.getDimension(com.at.common.R.dimen.dp_2)
    3-> resources.getDimension(com.at.common.R.dimen.dp_3)
    4-> resources.getDimension(com.at.common.R.dimen.dp_4)
    5-> resources.getDimension(com.at.common.R.dimen.dp_5)
    6-> resources.getDimension(com.at.common.R.dimen.dp_6)
    7-> resources.getDimension(com.at.common.R.dimen.dp_7)
    8-> resources.getDimension(com.at.common.R.dimen.dp_8)
    9-> resources.getDimension(com.at.common.R.dimen.dp_9)
    10-> resources.getDimension(com.at.common.R.dimen.dp_10)
    11-> resources.getDimension(com.at.common.R.dimen.dp_11)
    12-> resources.getDimension(com.at.common.R.dimen.dp_12)
    13-> resources.getDimension(com.at.common.R.dimen.dp_13)
    14-> resources.getDimension(com.at.common.R.dimen.dp_14)
    15-> resources.getDimension(com.at.common.R.dimen.dp_15)
    16-> resources.getDimension(com.at.common.R.dimen.dp_16)
    17-> resources.getDimension(com.at.common.R.dimen.dp_17)
    18-> resources.getDimension(com.at.common.R.dimen.dp_18)
    19-> resources.getDimension(com.at.common.R.dimen.dp_19)
    20-> resources.getDimension(com.at.common.R.dimen.dp_20)
    21-> resources.getDimension(com.at.common.R.dimen.dp_21)
    22-> resources.getDimension(com.at.common.R.dimen.dp_22)
    23-> resources.getDimension(com.at.common.R.dimen.dp_23)
    24-> resources.getDimension(com.at.common.R.dimen.dp_24)
    25-> resources.getDimension(com.at.common.R.dimen.dp_25)
    26-> resources.getDimension(com.at.common.R.dimen.dp_26)
    27-> resources.getDimension(com.at.common.R.dimen.dp_27)
    28-> resources.getDimension(com.at.common.R.dimen.dp_28)
    29-> resources.getDimension(com.at.common.R.dimen.dp_29)
    30-> resources.getDimension(com.at.common.R.dimen.dp_30)
    31-> resources.getDimension(com.at.common.R.dimen.dp_31)
    32-> resources.getDimension(com.at.common.R.dimen.dp_32)
    33-> resources.getDimension(com.at.common.R.dimen.dp_33)
    34-> resources.getDimension(com.at.common.R.dimen.dp_34)
    35-> resources.getDimension(com.at.common.R.dimen.dp_35)
    36-> resources.getDimension(com.at.common.R.dimen.dp_36)
    37-> resources.getDimension(com.at.common.R.dimen.dp_37)
    38-> resources.getDimension(com.at.common.R.dimen.dp_38)
    39-> resources.getDimension(com.at.common.R.dimen.dp_39)
    40-> resources.getDimension(com.at.common.R.dimen.dp_40)
    41-> resources.getDimension(com.at.common.R.dimen.dp_41)
    42-> resources.getDimension(com.at.common.R.dimen.dp_42)
    43-> resources.getDimension(com.at.common.R.dimen.dp_43)
    44-> resources.getDimension(com.at.common.R.dimen.dp_44)
    45-> resources.getDimension(com.at.common.R.dimen.dp_45)
    46-> resources.getDimension(com.at.common.R.dimen.dp_46)
    47-> resources.getDimension(com.at.common.R.dimen.dp_47)
    48-> resources.getDimension(com.at.common.R.dimen.dp_48)
    49-> resources.getDimension(com.at.common.R.dimen.dp_49)
    50-> resources.getDimension(com.at.common.R.dimen.dp_50)
    51-> resources.getDimension(com.at.common.R.dimen.dp_51)
    52-> resources.getDimension(com.at.common.R.dimen.dp_52)
    53-> resources.getDimension(com.at.common.R.dimen.dp_53)
    54-> resources.getDimension(com.at.common.R.dimen.dp_54)
    55-> resources.getDimension(com.at.common.R.dimen.dp_55)
    56-> resources.getDimension(com.at.common.R.dimen.dp_56)
    57-> resources.getDimension(com.at.common.R.dimen.dp_57)
    58-> resources.getDimension(com.at.common.R.dimen.dp_58)
    59-> resources.getDimension(com.at.common.R.dimen.dp_59)
    60-> resources.getDimension(com.at.common.R.dimen.dp_60)
    61-> resources.getDimension(com.at.common.R.dimen.dp_61)
    62-> resources.getDimension(com.at.common.R.dimen.dp_62)
    63-> resources.getDimension(com.at.common.R.dimen.dp_63)
    64-> resources.getDimension(com.at.common.R.dimen.dp_64)
    65-> resources.getDimension(com.at.common.R.dimen.dp_65)
    66-> resources.getDimension(com.at.common.R.dimen.dp_66)
    67-> resources.getDimension(com.at.common.R.dimen.dp_67)
    68-> resources.getDimension(com.at.common.R.dimen.dp_68)
    69-> resources.getDimension(com.at.common.R.dimen.dp_69)
    70-> resources.getDimension(com.at.common.R.dimen.dp_70)
    71-> resources.getDimension(com.at.common.R.dimen.dp_71)
    72-> resources.getDimension(com.at.common.R.dimen.dp_72)
    73-> resources.getDimension(com.at.common.R.dimen.dp_73)
    74-> resources.getDimension(com.at.common.R.dimen.dp_74)
    75-> resources.getDimension(com.at.common.R.dimen.dp_75)
    76-> resources.getDimension(com.at.common.R.dimen.dp_76)
    77-> resources.getDimension(com.at.common.R.dimen.dp_77)
    78-> resources.getDimension(com.at.common.R.dimen.dp_78)
    79-> resources.getDimension(com.at.common.R.dimen.dp_79)
    80-> resources.getDimension(com.at.common.R.dimen.dp_80)
    81-> resources.getDimension(com.at.common.R.dimen.dp_81)
    82-> resources.getDimension(com.at.common.R.dimen.dp_82)
    83-> resources.getDimension(com.at.common.R.dimen.dp_83)
    84-> resources.getDimension(com.at.common.R.dimen.dp_84)
    85-> resources.getDimension(com.at.common.R.dimen.dp_85)
    86-> resources.getDimension(com.at.common.R.dimen.dp_86)
    87-> resources.getDimension(com.at.common.R.dimen.dp_87)
    88-> resources.getDimension(com.at.common.R.dimen.dp_88)
    89-> resources.getDimension(com.at.common.R.dimen.dp_89)
    90-> resources.getDimension(com.at.common.R.dimen.dp_90)
    91-> resources.getDimension(com.at.common.R.dimen.dp_91)
    92-> resources.getDimension(com.at.common.R.dimen.dp_92)
    93-> resources.getDimension(com.at.common.R.dimen.dp_93)
    94-> resources.getDimension(com.at.common.R.dimen.dp_94)
    95-> resources.getDimension(com.at.common.R.dimen.dp_95)
    96-> resources.getDimension(com.at.common.R.dimen.dp_96)
    97-> resources.getDimension(com.at.common.R.dimen.dp_97)
    98-> resources.getDimension(com.at.common.R.dimen.dp_98)
    99-> resources.getDimension(com.at.common.R.dimen.dp_99)
    100-> resources.getDimension(com.at.common.R.dimen.dp_100)
    101-> resources.getDimension(com.at.common.R.dimen.dp_101)
    102-> resources.getDimension(com.at.common.R.dimen.dp_102)
    103-> resources.getDimension(com.at.common.R.dimen.dp_103)
    104-> resources.getDimension(com.at.common.R.dimen.dp_104)
    105-> resources.getDimension(com.at.common.R.dimen.dp_105)
    106-> resources.getDimension(com.at.common.R.dimen.dp_106)
    107-> resources.getDimension(com.at.common.R.dimen.dp_107)
    108-> resources.getDimension(com.at.common.R.dimen.dp_108)
    109-> resources.getDimension(com.at.common.R.dimen.dp_109)
    110-> resources.getDimension(com.at.common.R.dimen.dp_110)
    111-> resources.getDimension(com.at.common.R.dimen.dp_111)
    112-> resources.getDimension(com.at.common.R.dimen.dp_112)
    113-> resources.getDimension(com.at.common.R.dimen.dp_113)
    114-> resources.getDimension(com.at.common.R.dimen.dp_114)
    115-> resources.getDimension(com.at.common.R.dimen.dp_115)
    116-> resources.getDimension(com.at.common.R.dimen.dp_116)
    117-> resources.getDimension(com.at.common.R.dimen.dp_117)
    118-> resources.getDimension(com.at.common.R.dimen.dp_118)
    119-> resources.getDimension(com.at.common.R.dimen.dp_119)
    120-> resources.getDimension(com.at.common.R.dimen.dp_120)

    121-> resources.getDimension(com.at.common.R.dimen.dp_121)
    122-> resources.getDimension(com.at.common.R.dimen.dp_122)
    123-> resources.getDimension(com.at.common.R.dimen.dp_123)
    124-> resources.getDimension(com.at.common.R.dimen.dp_124)
    125-> resources.getDimension(com.at.common.R.dimen.dp_125)
    126-> resources.getDimension(com.at.common.R.dimen.dp_126)
    127-> resources.getDimension(com.at.common.R.dimen.dp_127)
    128-> resources.getDimension(com.at.common.R.dimen.dp_128)
    129-> resources.getDimension(com.at.common.R.dimen.dp_129)
    130-> resources.getDimension(com.at.common.R.dimen.dp_130)

    131-> resources.getDimension(com.at.common.R.dimen.dp_131)
    132-> resources.getDimension(com.at.common.R.dimen.dp_132)
    133-> resources.getDimension(com.at.common.R.dimen.dp_133)
    134-> resources.getDimension(com.at.common.R.dimen.dp_134)
    135-> resources.getDimension(com.at.common.R.dimen.dp_135)
    136-> resources.getDimension(com.at.common.R.dimen.dp_136)
    137-> resources.getDimension(com.at.common.R.dimen.dp_137)
    138-> resources.getDimension(com.at.common.R.dimen.dp_138)
    139-> resources.getDimension(com.at.common.R.dimen.dp_139)
    140-> resources.getDimension(com.at.common.R.dimen.dp_140)

    141-> resources.getDimension(com.at.common.R.dimen.dp_141)
    142-> resources.getDimension(com.at.common.R.dimen.dp_142)
    143-> resources.getDimension(com.at.common.R.dimen.dp_143)
    144-> resources.getDimension(com.at.common.R.dimen.dp_144)
    145-> resources.getDimension(com.at.common.R.dimen.dp_145)
    146-> resources.getDimension(com.at.common.R.dimen.dp_146)
    147-> resources.getDimension(com.at.common.R.dimen.dp_147)
    148-> resources.getDimension(com.at.common.R.dimen.dp_148)
    149-> resources.getDimension(com.at.common.R.dimen.dp_149)
    150-> resources.getDimension(com.at.common.R.dimen.dp_150)

    151-> resources.getDimension(com.at.common.R.dimen.dp_151)
    152-> resources.getDimension(com.at.common.R.dimen.dp_152)
    153-> resources.getDimension(com.at.common.R.dimen.dp_153)
    154-> resources.getDimension(com.at.common.R.dimen.dp_154)
    155-> resources.getDimension(com.at.common.R.dimen.dp_155)
    156-> resources.getDimension(com.at.common.R.dimen.dp_156)
    157-> resources.getDimension(com.at.common.R.dimen.dp_157)
    158-> resources.getDimension(com.at.common.R.dimen.dp_158)
    159-> resources.getDimension(com.at.common.R.dimen.dp_159)

    160-> resources.getDimension(com.at.common.R.dimen.dp_160)
    161-> resources.getDimension(com.at.common.R.dimen.dp_161)
    162-> resources.getDimension(com.at.common.R.dimen.dp_162)
    163-> resources.getDimension(com.at.common.R.dimen.dp_163)
    164-> resources.getDimension(com.at.common.R.dimen.dp_164)
    165-> resources.getDimension(com.at.common.R.dimen.dp_165)
    166-> resources.getDimension(com.at.common.R.dimen.dp_166)
    167-> resources.getDimension(com.at.common.R.dimen.dp_167)
    168-> resources.getDimension(com.at.common.R.dimen.dp_168)
    169-> resources.getDimension(com.at.common.R.dimen.dp_169)

    170-> resources.getDimension(com.at.common.R.dimen.dp_170)
    171-> resources.getDimension(com.at.common.R.dimen.dp_171)
    172-> resources.getDimension(com.at.common.R.dimen.dp_172)
    173-> resources.getDimension(com.at.common.R.dimen.dp_173)
    174-> resources.getDimension(com.at.common.R.dimen.dp_174)
    175-> resources.getDimension(com.at.common.R.dimen.dp_175)
    176-> resources.getDimension(com.at.common.R.dimen.dp_176)
    177-> resources.getDimension(com.at.common.R.dimen.dp_177)
    178-> resources.getDimension(com.at.common.R.dimen.dp_178)
    179-> resources.getDimension(com.at.common.R.dimen.dp_179)

    180-> resources.getDimension(com.at.common.R.dimen.dp_180)
    181-> resources.getDimension(com.at.common.R.dimen.dp_181)
    182-> resources.getDimension(com.at.common.R.dimen.dp_182)
    183-> resources.getDimension(com.at.common.R.dimen.dp_183)
    184-> resources.getDimension(com.at.common.R.dimen.dp_184)
    185-> resources.getDimension(com.at.common.R.dimen.dp_185)
    186-> resources.getDimension(com.at.common.R.dimen.dp_186)
    187-> resources.getDimension(com.at.common.R.dimen.dp_187)
    188-> resources.getDimension(com.at.common.R.dimen.dp_188)
    189-> resources.getDimension(com.at.common.R.dimen.dp_189)

    190-> resources.getDimension(com.at.common.R.dimen.dp_190)
    191-> resources.getDimension(com.at.common.R.dimen.dp_191)
    192-> resources.getDimension(com.at.common.R.dimen.dp_192)
    193-> resources.getDimension(com.at.common.R.dimen.dp_193)
    194-> resources.getDimension(com.at.common.R.dimen.dp_194)
    195-> resources.getDimension(com.at.common.R.dimen.dp_195)
    196-> resources.getDimension(com.at.common.R.dimen.dp_196)
    197-> resources.getDimension(com.at.common.R.dimen.dp_197)
    198-> resources.getDimension(com.at.common.R.dimen.dp_198)
    199-> resources.getDimension(com.at.common.R.dimen.dp_199)

    200-> resources.getDimension(com.at.common.R.dimen.dp_200)
    201-> resources.getDimension(com.at.common.R.dimen.dp_201)
    202-> resources.getDimension(com.at.common.R.dimen.dp_202)
    203-> resources.getDimension(com.at.common.R.dimen.dp_203)
    204-> resources.getDimension(com.at.common.R.dimen.dp_204)
    205-> resources.getDimension(com.at.common.R.dimen.dp_205)
    206-> resources.getDimension(com.at.common.R.dimen.dp_206)
    207-> resources.getDimension(com.at.common.R.dimen.dp_207)
    208-> resources.getDimension(com.at.common.R.dimen.dp_208)
    209-> resources.getDimension(com.at.common.R.dimen.dp_209)


    210-> resources.getDimension(com.at.common.R.dimen.dp_210)
    211-> resources.getDimension(com.at.common.R.dimen.dp_211)
    212-> resources.getDimension(com.at.common.R.dimen.dp_212)
    213-> resources.getDimension(com.at.common.R.dimen.dp_213)
    214-> resources.getDimension(com.at.common.R.dimen.dp_214)
    215-> resources.getDimension(com.at.common.R.dimen.dp_215)
    216-> resources.getDimension(com.at.common.R.dimen.dp_216)
    217-> resources.getDimension(com.at.common.R.dimen.dp_217)
    218-> resources.getDimension(com.at.common.R.dimen.dp_218)
    219-> resources.getDimension(com.at.common.R.dimen.dp_219)

    220-> resources.getDimension(com.at.common.R.dimen.dp_220)
    221-> resources.getDimension(com.at.common.R.dimen.dp_221)
    222-> resources.getDimension(com.at.common.R.dimen.dp_222)
    223-> resources.getDimension(com.at.common.R.dimen.dp_223)
    224-> resources.getDimension(com.at.common.R.dimen.dp_224)
    225-> resources.getDimension(com.at.common.R.dimen.dp_225)
    226-> resources.getDimension(com.at.common.R.dimen.dp_226)
    227-> resources.getDimension(com.at.common.R.dimen.dp_227)
    228-> resources.getDimension(com.at.common.R.dimen.dp_228)
    229-> resources.getDimension(com.at.common.R.dimen.dp_229)

    230-> resources.getDimension(com.at.common.R.dimen.dp_230)
    231-> resources.getDimension(com.at.common.R.dimen.dp_231)
    232-> resources.getDimension(com.at.common.R.dimen.dp_232)
    233-> resources.getDimension(com.at.common.R.dimen.dp_233)
    234-> resources.getDimension(com.at.common.R.dimen.dp_234)
    235-> resources.getDimension(com.at.common.R.dimen.dp_235)
    236-> resources.getDimension(com.at.common.R.dimen.dp_236)
    237-> resources.getDimension(com.at.common.R.dimen.dp_237)
    238-> resources.getDimension(com.at.common.R.dimen.dp_238)
    239-> resources.getDimension(com.at.common.R.dimen.dp_239)

    240-> resources.getDimension(com.at.common.R.dimen.dp_240)
    241-> resources.getDimension(com.at.common.R.dimen.dp_241)
    242-> resources.getDimension(com.at.common.R.dimen.dp_242)
    243-> resources.getDimension(com.at.common.R.dimen.dp_243)
    244-> resources.getDimension(com.at.common.R.dimen.dp_244)
    245-> resources.getDimension(com.at.common.R.dimen.dp_245)
    246-> resources.getDimension(com.at.common.R.dimen.dp_246)
    247-> resources.getDimension(com.at.common.R.dimen.dp_247)
    248-> resources.getDimension(com.at.common.R.dimen.dp_248)
    249-> resources.getDimension(com.at.common.R.dimen.dp_249)

    250-> resources.getDimension(com.at.common.R.dimen.dp_250)
    251-> resources.getDimension(com.at.common.R.dimen.dp_251)
    252-> resources.getDimension(com.at.common.R.dimen.dp_252)
    253-> resources.getDimension(com.at.common.R.dimen.dp_253)
    254-> resources.getDimension(com.at.common.R.dimen.dp_254)
    255-> resources.getDimension(com.at.common.R.dimen.dp_255)
    256-> resources.getDimension(com.at.common.R.dimen.dp_256)
    257-> resources.getDimension(com.at.common.R.dimen.dp_257)
    258-> resources.getDimension(com.at.common.R.dimen.dp_258)
    259-> resources.getDimension(com.at.common.R.dimen.dp_259)

    260-> resources.getDimension(com.at.common.R.dimen.dp_260)
    261-> resources.getDimension(com.at.common.R.dimen.dp_261)
    262-> resources.getDimension(com.at.common.R.dimen.dp_262)
    263-> resources.getDimension(com.at.common.R.dimen.dp_263)
    264-> resources.getDimension(com.at.common.R.dimen.dp_264)
    265-> resources.getDimension(com.at.common.R.dimen.dp_265)
    266-> resources.getDimension(com.at.common.R.dimen.dp_266)
    267-> resources.getDimension(com.at.common.R.dimen.dp_267)
    268-> resources.getDimension(com.at.common.R.dimen.dp_268)
    269-> resources.getDimension(com.at.common.R.dimen.dp_269)

    270-> resources.getDimension(com.at.common.R.dimen.dp_270)
    271-> resources.getDimension(com.at.common.R.dimen.dp_271)
    272-> resources.getDimension(com.at.common.R.dimen.dp_272)
    273-> resources.getDimension(com.at.common.R.dimen.dp_273)
    274-> resources.getDimension(com.at.common.R.dimen.dp_274)
    275-> resources.getDimension(com.at.common.R.dimen.dp_275)
    276-> resources.getDimension(com.at.common.R.dimen.dp_276)
    277-> resources.getDimension(com.at.common.R.dimen.dp_277)
    278-> resources.getDimension(com.at.common.R.dimen.dp_278)
    279-> resources.getDimension(com.at.common.R.dimen.dp_279)

    280-> resources.getDimension(com.at.common.R.dimen.dp_280)
    281-> resources.getDimension(com.at.common.R.dimen.dp_281)
    282-> resources.getDimension(com.at.common.R.dimen.dp_282)
    283-> resources.getDimension(com.at.common.R.dimen.dp_283)
    284-> resources.getDimension(com.at.common.R.dimen.dp_284)
    285-> resources.getDimension(com.at.common.R.dimen.dp_285)
    286-> resources.getDimension(com.at.common.R.dimen.dp_286)
    287-> resources.getDimension(com.at.common.R.dimen.dp_287)
    288-> resources.getDimension(com.at.common.R.dimen.dp_288)
    289-> resources.getDimension(com.at.common.R.dimen.dp_289)

    290-> resources.getDimension(com.at.common.R.dimen.dp_290)
    291-> resources.getDimension(com.at.common.R.dimen.dp_291)
    292-> resources.getDimension(com.at.common.R.dimen.dp_292)
    293-> resources.getDimension(com.at.common.R.dimen.dp_293)
    294-> resources.getDimension(com.at.common.R.dimen.dp_294)
    295-> resources.getDimension(com.at.common.R.dimen.dp_295)
    296-> resources.getDimension(com.at.common.R.dimen.dp_296)
    297-> resources.getDimension(com.at.common.R.dimen.dp_297)
    298-> resources.getDimension(com.at.common.R.dimen.dp_298)
    299-> resources.getDimension(com.at.common.R.dimen.dp_299)

    300-> resources.getDimension(com.at.common.R.dimen.dp_300)
    301-> resources.getDimension(com.at.common.R.dimen.dp_301)
    302-> resources.getDimension(com.at.common.R.dimen.dp_302)
    303-> resources.getDimension(com.at.common.R.dimen.dp_303)
    304-> resources.getDimension(com.at.common.R.dimen.dp_304)
    305-> resources.getDimension(com.at.common.R.dimen.dp_305)
    306-> resources.getDimension(com.at.common.R.dimen.dp_306)
    307-> resources.getDimension(com.at.common.R.dimen.dp_307)
    308-> resources.getDimension(com.at.common.R.dimen.dp_308)
    309-> resources.getDimension(com.at.common.R.dimen.dp_309)

    310-> resources.getDimension(com.at.common.R.dimen.dp_310)
    311-> resources.getDimension(com.at.common.R.dimen.dp_311)
    312-> resources.getDimension(com.at.common.R.dimen.dp_312)
    313-> resources.getDimension(com.at.common.R.dimen.dp_313)
    314-> resources.getDimension(com.at.common.R.dimen.dp_314)
    315-> resources.getDimension(com.at.common.R.dimen.dp_315)
    316-> resources.getDimension(com.at.common.R.dimen.dp_316)
    317-> resources.getDimension(com.at.common.R.dimen.dp_317)
    318-> resources.getDimension(com.at.common.R.dimen.dp_318)
    319-> resources.getDimension(com.at.common.R.dimen.dp_319)

    320-> resources.getDimension(com.at.common.R.dimen.dp_320)
    321-> resources.getDimension(com.at.common.R.dimen.dp_321)
    322-> resources.getDimension(com.at.common.R.dimen.dp_322)
    323-> resources.getDimension(com.at.common.R.dimen.dp_323)
    324-> resources.getDimension(com.at.common.R.dimen.dp_324)
    325-> resources.getDimension(com.at.common.R.dimen.dp_325)
    326-> resources.getDimension(com.at.common.R.dimen.dp_326)
    327-> resources.getDimension(com.at.common.R.dimen.dp_327)
    328-> resources.getDimension(com.at.common.R.dimen.dp_328)
    329-> resources.getDimension(com.at.common.R.dimen.dp_329)

    330-> resources.getDimension(com.at.common.R.dimen.dp_330)
    331-> resources.getDimension(com.at.common.R.dimen.dp_331)
    332-> resources.getDimension(com.at.common.R.dimen.dp_332)
    333-> resources.getDimension(com.at.common.R.dimen.dp_333)
    334-> resources.getDimension(com.at.common.R.dimen.dp_334)
    335-> resources.getDimension(com.at.common.R.dimen.dp_335)
    336-> resources.getDimension(com.at.common.R.dimen.dp_336)
    337-> resources.getDimension(com.at.common.R.dimen.dp_337)
    338-> resources.getDimension(com.at.common.R.dimen.dp_338)
    339-> resources.getDimension(com.at.common.R.dimen.dp_339)

    340-> resources.getDimension(com.at.common.R.dimen.dp_340)
    341-> resources.getDimension(com.at.common.R.dimen.dp_341)
    342-> resources.getDimension(com.at.common.R.dimen.dp_342)
    343-> resources.getDimension(com.at.common.R.dimen.dp_343)
    344-> resources.getDimension(com.at.common.R.dimen.dp_344)
    345-> resources.getDimension(com.at.common.R.dimen.dp_345)
    346-> resources.getDimension(com.at.common.R.dimen.dp_346)
    347-> resources.getDimension(com.at.common.R.dimen.dp_347)
    348-> resources.getDimension(com.at.common.R.dimen.dp_348)
    349-> resources.getDimension(com.at.common.R.dimen.dp_349)

    350-> resources.getDimension(com.at.common.R.dimen.dp_350)
    351-> resources.getDimension(com.at.common.R.dimen.dp_351)
    352-> resources.getDimension(com.at.common.R.dimen.dp_352)
    353-> resources.getDimension(com.at.common.R.dimen.dp_353)
    354-> resources.getDimension(com.at.common.R.dimen.dp_354)
    355-> resources.getDimension(com.at.common.R.dimen.dp_355)
    356-> resources.getDimension(com.at.common.R.dimen.dp_356)
    357-> resources.getDimension(com.at.common.R.dimen.dp_357)
    358-> resources.getDimension(com.at.common.R.dimen.dp_358)
    359-> resources.getDimension(com.at.common.R.dimen.dp_359)
    360-> resources.getDimension(com.at.common.R.dimen.dp_360)
    365-> resources.getDimension(com.at.common.R.dimen.dp_365)
    370-> resources.getDimension(com.at.common.R.dimen.dp_370)
    400-> resources.getDimension(com.at.common.R.dimen.dp_400)
    410-> resources.getDimension(com.at.common.R.dimen.dp_410)
    422-> resources.getDimension(com.at.common.R.dimen.dp_422)
    472-> resources.getDimension(com.at.common.R.dimen.dp_472)
    500-> resources.getDimension(com.at.common.R.dimen.dp_500)
    600-> resources.getDimension(com.at.common.R.dimen.dp_600)
    640-> resources.getDimension(com.at.common.R.dimen.dp_640)
    720-> resources.getDimension(com.at.common.R.dimen.dp_720)
    else -> resources.getDimension(com.at.common.R.dimen.dp_12)
}


fun Context.getPx(dimen:Int):Int = when(dimen){
    0-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_0)
    1-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_1)
    2-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_2)
    3-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_3)
    4-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_4)
    5-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_5)
    6-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_6)
    7-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_7)
    8-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_8)
    9-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_9)
    10-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_10)
    11-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_11)
    12-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_12)
    13-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_13)
    14-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_14)
    15-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_15)
    16-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_16)
    17-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_17)
    18-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_18)
    19-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_19)
    20-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_20)
    21-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_21)
    22-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_22)
    23-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_23)
    24-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_24)
    25-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_25)
    26-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_26)
    27-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_27)
    28-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_28)
    29-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_29)
    30-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_30)
    31-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_31)
    32-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_32)
    33-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_33)
    34-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_34)
    35-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_35)
    36-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_36)
    37-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_37)
    38-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_38)
    39-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_39)
    40-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_40)
    41-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_41)
    42-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_42)
    43-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_43)
    44-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_44)
    45-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_45)
    46-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_46)
    47-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_47)
    48-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_48)
    49-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_49)
    50-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_50)
    51-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_51)
    52-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_52)
    53-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_53)
    54-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_54)
    55-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_55)
    56-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_56)
    57-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_57)
    58-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_58)
    59-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_59)
    60-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_60)
    61-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_61)
    62-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_62)
    63-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_63)
    64-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_64)
    65-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_65)
    66-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_66)
    67-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_67)
    68-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_68)
    69-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_69)
    70-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_70)
    71-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_71)
    72-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_72)
    73-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_73)
    74-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_74)
    75-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_75)
    76-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_76)
    77-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_77)
    78-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_78)
    79-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_79)
    80-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_80)
    81-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_81)
    82-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_82)
    83-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_83)
    84-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_84)
    85-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_85)
    86-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_86)
    87-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_87)
    88-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_88)
    89-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_89)
    90-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_90)
    91-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_91)
    92-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_92)
    93-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_93)
    94-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_94)
    95-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_95)
    96-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_96)
    97-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_97)
    98-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_98)
    99-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_99)
    100-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_100)
    101-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_101)
    102-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_102)
    103-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_103)
    104-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_104)
    105-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_105)
    106-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_106)
    107-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_107)
    108-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_108)
    109-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_109)
    110-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_110)
    111-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_111)
    112-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_112)
    113-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_113)
    114-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_114)
    115-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_115)
    116-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_116)
    117-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_117)
    118-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_118)
    119-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_119)
    120-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_120)

    121-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_121)
    122-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_122)
    123-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_123)
    124-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_124)
    125-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_125)
    126-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_126)
    127-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_127)
    128-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_128)
    129-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_129)
    130-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_130)

    131-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_131)
    132-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_132)
    133-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_133)
    134-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_134)
    135-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_135)
    136-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_136)
    137-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_137)
    138-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_138)
    139-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_139)
    140-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_140)

    141-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_141)
    142-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_142)
    143-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_143)
    144-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_144)
    145-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_145)
    146-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_146)
    147-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_147)
    148-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_148)
    149-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_149)
    150-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_150)

    151-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_151)
    152-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_152)
    153-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_153)
    154-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_154)
    155-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_155)
    156-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_156)
    157-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_157)
    158-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_158)
    159-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_159)

    160-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_160)
    161-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_161)
    162-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_162)
    163-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_163)
    164-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_164)
    165-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_165)
    166-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_166)
    167-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_167)
    168-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_168)
    169-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_169)

    170-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_170)
    171-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_171)
    172-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_172)
    173-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_173)
    174-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_174)
    175-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_175)
    176-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_176)
    177-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_177)
    178-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_178)
    179-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_179)

    180-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_180)
    181-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_181)
    182-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_182)
    183-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_183)
    184-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_184)
    185-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_185)
    186-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_186)
    187-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_187)
    188-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_188)
    189-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_189)

    190-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_190)
    191-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_191)
    192-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_192)
    193-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_193)
    194-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_194)
    195-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_195)
    196-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_196)
    197-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_197)
    198-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_198)
    199-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_199)

    200-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_200)
    201-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_201)
    202-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_202)
    203-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_203)
    204-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_204)
    205-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_205)
    206-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_206)
    207-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_207)
    208-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_208)
    209-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_209)


    210-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_210)
    211-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_211)
    212-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_212)
    213-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_213)
    214-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_214)
    215-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_215)
    216-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_216)
    217-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_217)
    218-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_218)
    219-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_219)

    220-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_220)
    221-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_221)
    222-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_222)
    223-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_223)
    224-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_224)
    225-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_225)
    226-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_226)
    227-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_227)
    228-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_228)
    229-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_229)

    230-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_230)
    231-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_231)
    232-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_232)
    233-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_233)
    234-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_234)
    235-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_235)
    236-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_236)
    237-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_237)
    238-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_238)
    239-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_239)

    240-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_240)
    241-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_241)
    242-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_242)
    243-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_243)
    244-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_244)
    245-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_245)
    246-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_246)
    247-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_247)
    248-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_248)
    249-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_249)

    250-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_250)
    251-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_251)
    252-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_252)
    253-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_253)
    254-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_254)
    255-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_255)
    256-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_256)
    257-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_257)
    258-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_258)
    259-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_259)

    260-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_260)
    261-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_261)
    262-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_262)
    263-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_263)
    264-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_264)
    265-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_265)
    266-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_266)
    267-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_267)
    268-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_268)
    269-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_269)

    270-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_270)
    271-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_271)
    272-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_272)
    273-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_273)
    274-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_274)
    275-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_275)
    276-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_276)
    277-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_277)
    278-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_278)
    279-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_279)

    280-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_280)
    281-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_281)
    282-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_282)
    283-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_283)
    284-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_284)
    285-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_285)
    286-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_286)
    287-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_287)
    288-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_288)
    289-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_289)

    290-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_290)
    291-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_291)
    292-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_292)
    293-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_293)
    294-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_294)
    295-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_295)
    296-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_296)
    297-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_297)
    298-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_298)
    299-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_299)

    300-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_300)
    301-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_301)
    302-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_302)
    303-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_303)
    304-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_304)
    305-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_305)
    306-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_306)
    307-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_307)
    308-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_308)
    309-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_309)

    310-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_310)
    311-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_311)
    312-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_312)
    313-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_313)
    314-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_314)
    315-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_315)
    316-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_316)
    317-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_317)
    318-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_318)
    319-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_319)

    320-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_320)
    321-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_321)
    322-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_322)
    323-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_323)
    324-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_324)
    325-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_325)
    326-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_326)
    327-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_327)
    328-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_328)
    329-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_329)

    330-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_330)
    331-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_331)
    332-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_332)
    333-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_333)
    334-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_334)
    335-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_335)
    336-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_336)
    337-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_337)
    338-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_338)
    339-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_339)

    340-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_340)
    341-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_341)
    342-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_342)
    343-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_343)
    344-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_344)
    345-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_345)
    346-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_346)
    347-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_347)
    348-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_348)
    349-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_349)

    350-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_350)
    351-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_351)
    352-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_352)
    353-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_353)
    354-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_354)
    355-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_355)
    356-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_356)
    357-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_357)
    358-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_358)
    359-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_359)
    360-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_360)
    365-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_365)
    370-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_370)
    400-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_400)
    410-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_410)
    422-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_422)
    472-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_472)
    500-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_500)
    600-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_600)
    640-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_640)
    720-> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_720)
    else -> resources.getDimensionPixelSize(com.at.common.R.dimen.dp_12)
}

fun Context.getSp(dimen:Int):Float = when(dimen){
    6-> resources.getDimension(com.at.common.R.dimen.sp_6)
    7-> resources.getDimension(com.at.common.R.dimen.sp_7)
    8-> resources.getDimension(com.at.common.R.dimen.sp_8)
    9-> resources.getDimension(com.at.common.R.dimen.sp_9)
    10-> resources.getDimension(com.at.common.R.dimen.sp_10)
    11-> resources.getDimension(com.at.common.R.dimen.sp_11)
    12-> resources.getDimension(com.at.common.R.dimen.sp_12)
    13-> resources.getDimension(com.at.common.R.dimen.sp_13)
    14-> resources.getDimension(com.at.common.R.dimen.sp_14)
    15-> resources.getDimension(com.at.common.R.dimen.sp_15)
    16-> resources.getDimension(com.at.common.R.dimen.sp_16)
    17-> resources.getDimension(com.at.common.R.dimen.sp_17)
    18-> resources.getDimension(com.at.common.R.dimen.sp_18)
    19-> resources.getDimension(com.at.common.R.dimen.sp_19)
    20-> resources.getDimension(com.at.common.R.dimen.sp_20)
    21-> resources.getDimension(com.at.common.R.dimen.sp_21)
    22-> resources.getDimension(com.at.common.R.dimen.sp_22)
    23-> resources.getDimension(com.at.common.R.dimen.sp_23)
    24-> resources.getDimension(com.at.common.R.dimen.sp_24)
    25-> resources.getDimension(com.at.common.R.dimen.sp_25)
    26-> resources.getDimension(com.at.common.R.dimen.sp_26)
    27-> resources.getDimension(com.at.common.R.dimen.sp_27)
    28-> resources.getDimension(com.at.common.R.dimen.sp_28)
    29-> resources.getDimension(com.at.common.R.dimen.sp_29)
    30-> resources.getDimension(com.at.common.R.dimen.sp_30)
    31-> resources.getDimension(com.at.common.R.dimen.sp_31)
    32-> resources.getDimension(com.at.common.R.dimen.sp_32)
    33-> resources.getDimension(com.at.common.R.dimen.sp_33)
    34-> resources.getDimension(com.at.common.R.dimen.sp_34)
    35-> resources.getDimension(com.at.common.R.dimen.sp_35)
    36-> resources.getDimension(com.at.common.R.dimen.sp_36)
    37-> resources.getDimension(com.at.common.R.dimen.sp_37)
    38-> resources.getDimension(com.at.common.R.dimen.sp_38)
    39-> resources.getDimension(com.at.common.R.dimen.sp_39)
    40-> resources.getDimension(com.at.common.R.dimen.sp_40)
    41-> resources.getDimension(com.at.common.R.dimen.sp_41)
    42-> resources.getDimension(com.at.common.R.dimen.sp_42)
    43-> resources.getDimension(com.at.common.R.dimen.sp_43)
    44-> resources.getDimension(com.at.common.R.dimen.sp_44)
    45-> resources.getDimension(com.at.common.R.dimen.sp_45)
    46-> resources.getDimension(com.at.common.R.dimen.sp_46)
    47-> resources.getDimension(com.at.common.R.dimen.sp_47)
    48-> resources.getDimension(com.at.common.R.dimen.sp_48)
    49-> resources.getDimension(com.at.common.R.dimen.sp_49)
    50-> resources.getDimension(com.at.common.R.dimen.sp_50)
    else -> resources.getDimension(com.at.common.R.dimen.sp_12)
}


